2005-08-27 Alain Magloire
	Fix PR 108206: Do not use the UI thread when parsing
	the working copy for the outliner.
	* src/org/eclipse/cdt/internal/ui/CElementAdapterFactory.java
	* src/org/eclipse/cdt/internal/ui/DeferredCWorkbenchAdapter.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlineProvider.java

2005-08-27 Alain Magloire
	Fix PR 108205: limit the number of refresh by ignoring WorkingCopies events.
	* src/org/eclipse/cdt/ui/CElementContentProvider.java

2005-08-20 Alain Magloire
	Fix PR 105613:  Preview label duplicated
	* src/org/eclipse/cdt/internal/ui/preferences/CTemplatePreferencePage.java

2005-08-20 Alain Magloire
	Fix for PR 106540: Link with editor did not work correctly for non C resources.
	* src/org/eclipse/cdt/internal/ui/cview/CView.java

2005-08-20 Alain Magloire
	Fix PR 86802 106911 87497 : Assembly editor fixes.
	* src/org/eclipse/cdt/internal/ui/editor/asm/ASMEditorActionContributor.java
	* src/org/eclipse/cdt/internal/ui/editor/asm/AsmSourceViewerConfiguration.java
	* src/org/eclipse/cdt/internal/ui/editor/asm/AsmTextEditor.java
	* plugin.xml

2005-08-09 Chris Wiebe
	Fix bug# 106564: platform keybindings
	plugin.xml

2005-08-08 Alain Magloire
	Fix PR 106340: ArrayOutOfBoundException
	* src/org/eclipse/cdt/internal/ui/actions/GoToNextPreviousMemberAction.java

2005-07-28 David Inglis

	Disable browsing and hierarchy views/perspectives and open hierarchy action as per
	https://bugs.eclipse.org/bugs/show_bug.cgi?id=102195
	
	* plugins.xml

2005-07-22 Alain Magloire
	Fix copyright.

2005-07-21 Chris Wiebe
	Fix PR 104442
	* src/org/eclipse/cdt/internal/ui/text/FastCPartitionScanner.java

2005-07-09 Alain Magloire
	Fix PR 102324: Fire event in the property page for change contentType
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferenceBlock.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPropertyPage.java

2005-07-09 Alain Magloire
	Fix PR 97963
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferncePage.java
	+ src/org/eclipse/cdt/internal/ui/preferences/PreviewSourceViewer.java

2005-07-09 Alain Magloire
	Fix PR 90419
	* src/org/eclipse/cdt/internal/coreext/util/CodeFormatterUtil.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java

2005-07-08 Alain Magloire
	Fix for the CFileType UI
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferenceBlock.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPropertyPage.java

2005-07-06 Vladimir Hirsl
	Disabled Add Folder/File button in CPathIncludeSymbolEntryPerFilePage.

	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathEntryMessages.properties
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeSymbolEntryPerFilePage.java

2005-07-06 Alain Magloire
	Fix PR 99130: no leading underscore in the guard header name
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewSourceFIleGenerator.java

2005-07-06  Alain Magloire
	PR 102789: Add Include dialog typo
	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties

2005-07-06  Alain Magloire
	PR 102622: OpenIncludeAction improvement, patch from: Robert O'Callahan
	* src/org/eclipse/cdt/internal/ui/OpenIncludeAction.java

2005-07-06  Alain Magloire
	PR 102619: Performance improvement patch from: Robert O'Callahan
	* src/org/eclipse/cdt/ui/CElementContentProvider.java

2005-07-05  Alain Magloire
	Fix for PR 102327: ContentType framework.
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferenceBlock.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPropertyPage.java

2005-06-29 Alain Magloire
	Fix PR 102159: NPE in the referencesSearchGroup: fillcontextMenu.
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/search/actions/ReferencesSearchGroup.java

2005-06-25 Alain Magloire
	Fix PR 98458: extra semicolon in namespace wizard class.
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java

2005-06-25 Alain Magloire
	Fix for PR 98788: Templates
	* src/org/eclipse/cdt/internal/ui/viewsupport/CElementImageProvider.java

2005-06-22 Alain Magloire
	Fix PR 99668 from Craig Watson.
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java

2005-06-22 Alain Magloire
	Fix PR 100263 from Devin.
	* src/org/eclipse/cdt/internal/ui/preferences/PrefrencesMessages.properties

2005-06-08 Alain Magloire
	Fix PR 98846
	* src/org/eclipse/cdt/internal/ui/util/ResourceTOItemsMapper.java

2005-06-08 Alain Magloire
	Move to the IContentTypeManager framework: PR 86645
	* src/org/eclipse/cdt/internal/ui/CFileElementWorkingCopy.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	+ src/org/eclipse/cdt/internal/ui/preferences/CFileTypeAssociation.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypeDialog.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferenceBlock.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPropertyPage.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties
	* src/org/eclipse/cdt/internal/ui/text/CFormattingStrategy.java
	* src/org/eclipse/cdt/internal/ui/text/contentassist/SearchCompletionContributor.java
	* plugin.xml
	
2005-06-08 Vladimir Hirsl
	Fix for NPE in CPElement.java
	
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPElement.java

2005-06-07 Alain Magloire
	Patch form Chris Recoskie to provide an ID to the wizard.
	* src/org/eclipse/cdt/ui/wizards/NewCProjectWizardPage.java

2005-05-27 Alain Magloire
	Patch from Dave Daoust to externalize some strings
	* refactor/org/eclipse/cdt/internal/core/refactoring/rename/RenameElementProcessor.java
	* src/rg/eclipse/cdt/internal/ui/CUIMessages.properties
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties
	* src/org/eclipse/cdt/internal/ui/search/DOMQuery.java
	* src/org/eclipse/cdt/internal/ui/search/LevelTreeContentProvider.java
	* src/org/eclipse/cdt/internal/ui/text/contentassist/CCompletionprocessor2.java
	* src/org/eclipse/cdt/ui/dialogs/CodeFormatterBlock.java

2005-05-19 Alain Magloire
	Fixed PR 95943
	* src/org/elcipse/cdt/internla/corext/template/c/TemplateMessages.properties
	* src/org/elcipse/cdt/internla/corext/template/c/TranslationUnitContextType.java

2005-05-18 David Inglis
	Fixed bug # 95556
	* src/org/eclipse/cdt/ui/wizards/NewCProjectWizard.java
	
2005-05-12 Alain Magloire
	Fix multiple warnings, the use of:
	Workbench.setHelp() --> PlatformUI.getWorkbench().getHelpSystem().getHelp()
	Use IShellProvider instead of shell.
	* files too many to enumerate

2005-05-12 Alain Magloire
	Fix PR 93970
	* src/org/eclipse/cdt/internal/ui/cview/SelectionTransferDragAdapter.java
	* src/org/eclipse/cdt/internal/ui/cview/SelectionTransferDropAdapter.java

2005-05-09 Alain Magloire
	Patch from David Daoust, PR 94120
	* src/org/eclipse/cdt/internal/ui/wizards/CWizardRegistry.java

2005-05-06 Alain Magloire
	PR 93902 to fix warnings.
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/search/FindDeclarationsInWorkingSet.java
	* src/org/eclipse/cdt/internal/ui/search/FindRefsInWorkingSet.java
	* src/org/eclipse/cdt/internal/ui/search/WorkingSetFindAction.java
	* src/org/eclipse/cdt/internal/ui/text/HelpCompletionContribution.java
	* src/org/eclipse/cdt/ui/CUIPlugin.java

2005-05-04 Vladimir Hirsl
	Fix for PR 92599: [Indexer] Remove annotation markers preference from DOMIndexer & friends
	Replaced indexer problem markers property page block for DOMIndexer.
	(from SourceIndexerBlock to NullIndexerBlock).
	Only inclusion not found preprocessor problem markers are going to be
	generated (there isn't an option in UI to disable/enable them yet).

	* plugin.xml
	
2005-04-22 Vladimir Hirsl
	Added per file C/C++ Includes & Symbols property page to display
	per file scanner info (discovered and user specified).
	
	+ icons/obj16/hfolder_quote_obj.gif
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/AbstractPathOptionBlock.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathEntryMessages.properties
	+ src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeSymbolEntryBasePage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeSymbolEntryPage.java
	+ src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeSymbolEntryPerFilePage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPElement.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CElementLabelProvider.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/NewIncludesSymbolsTabBlock.java

2005-04-13 Alain Magloire
	Fix PR 91239
	* src/org/eclipse/cdt/internal/ui/CPerspectiveFactory.java

2005-04-12 Alain Magloire
	Fix for PR 91163, 91165 and 91169
	* src/org/eclipse/cdt/internal/ui/compare/CMergeViewer.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.properties
	* src/org/eclipse/cdt/internal/ui/editor/asm/AsmTextEditor.java
	* src/org/eclipse/cdt/internal/ui/preferences/AbstractPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CodeAssistPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CSourcePreviewerUpdater.java
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java
	* src/org/eclipse/cdt/internal/ui/text/CTextTools.java
	* src/org/eclipse/cdt/ui/CUIPlugin.java

2005-04-12 Alain Magloire
	- icons/full: Remove obsolete directory.

2005-04-11 Alain Magloire
	Fix PR 91000: NPE in CEditorHoverConfigurationBlock
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorHoverConfigurationBlock.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties
	
2005-04-11 Vladimir Hirsl
	Fix for PR 90193: Scanner faililng on Local/User paths as provided in Std. Make
	User specified include paths (through the UI) are now created with 
	isSystemInclude attribute set to true.
	
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPElement.java

2005-04-08 Alain Magloire
	New icons from the IBM folks(Patch from DDaoust)
	* icons/*
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/OpenProjectGroup.java
	* plugin.xml

2005-04-06 David Inglis
	Fixed bug# 90440
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/CElementAdapterFactory.java
	* src/org/eclipse/cdt/internal/ui/CWorkbenchAdapter.java
	
2005-04-04 Alain Magloire
	Move to Eclipse-31M6
	* src/org/eclipse/cdt/internal/ui/cview/CopyAction.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewMessages.properties

2005-03-30 Alain Magloire
	Fix PR 87334
	* src/org/eclipse/cdt/internal/ui/compare/CMergeViewer.java

2005-03-29 Chris Wiebe
	prevent duplicate #includes
	* src/org/eclipse/cdt/internal/ui/wizards/NewClassCodeGenerator.java

2005-03-29 Chris Wiebe
	fix PR#87328 by making class wizard page publicly accessible
	refactored wizard code and added comments
	* src/org/eclipse/cdt/internal/ui/wizards/AbstractMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/ConstructorMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/DestructorMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/IMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewBaseClassSelectionDialog.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewClassCodeGenerator.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewClassWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/DestructorMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/DestructorMethodStub.java
	* src/org/eclipse/cdt/ui/wizards/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewClassCreationWizard.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassWizardPrefs.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassWizardUtil.java
	* plugin.xml
	removed:
	* src/org/eclipse/cdt/ui/wizards/NewClassCreationWizard.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java

2005-03-29 Vladimir Hirsl
	Removing indexer problem markers when problem reporting is deselected.

	* src/org/eclipse/cdt/ui/dialogs/SourceIndexerBlock.java
	
2005-03-28 Bogdan Gheorghe
	Added CTagsIndexer block - some more ironing of the indexer block.
	* src/org/eclipse/cdt/ui/dialogs/IndexerBlock.java
	* src/org/eclipse/cdt/ui/dialogs/NullIndexerBlock.java
	* src/org/eclipse/cdt/ui/dialogs/CTagsIndexerBlock.java
	* plugin.xml
	
2005-03-24 Vladimir Hirsl
	Ironing of the Indexer property page block.
	DOM AST based indexer property options page.
	* src/org/eclipse/cdt/ui/dialogs/IndexerBlock.java
	* src/org/eclipse/cdt/ui/dialogs/NullIndexerBlock.java
	* plugin.xml

2005-03-20 Alain Magloire
	Fix for 77978.
	* src/org/eclipse/cdt/internal/ui/actions/AddBlockCommentAction.java
	* src/org/eclipse/cdt/internal/ui/text/CAutoIndentStrategy.java
	* src/org/eclipse/cdt/internal/ui/text/CCommentAutoIndenStrategy.java
	* src/org/eclipse/cdt/internal/ui/text/CPartitionScanner.java
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java
	* src/org/eclipse/cdt/internal/ui/text/CTextTools.java
	* src/org/eclipse/cdt/internal/ui/text/FastCPartionScanner.java
	* src/org/eclipse/cdt/internal/ui/text/ICPartitions.java

2005-03-18 David Inglis
	
	Fixed problem with error tick in CView not updateing properly.
	
	* src/org/eclipse/cdt/internal/ui/util/ProblemTreeViewer.java
	
2005-03-13 Bogdan Gheorghe
	New UI items to support index framework
	
	* src/org/eclipse/cdt/internal/ui/CPluginResources
	* src/org/eclipse/cdt/ui/CUIPreferenceInitializer.java
	* src/org/eclipse/cdt/internal/ui/dialogs/IndexerBlock.java
	* src/org/eclipse/cdt/internal/ui/dialogs/IndexerOptionPropertyPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/SourceIndexerBlock.java
	* src/org/eclipse/cdt/ui/index/AbstractIndexerPage
	* plugin.xml
	
2005-03-12 Alain Magloire
	Plan item 79518: for PathEntry variable manager. Enable.
	* src/org/eclipse/cdt/internal/ui/preferences/PathEntryVariablesGroup.java
	* puglin.xml

2005-03-07 Alain Magloire
	Part of plan item 79518: for PathEntry variable manager.
	Not enable.
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/preferences/PathEntryVariableDialog.java
	* src/org/eclipse/cdt/internal/ui/preferences/PathEntryVariablePreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/PathEntryVariableGroup.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties

2005-03-02 Alain Magloire
	Fix for PR 87027: Thanks to Jonathan Emmett, for noticing.
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java

2005-02-25 Alain Magloire
	Fix PR 82292: Code template variable not working.
	* src/org/eclipse/cdt/internal/corext/template/c/CContext.java
	* src/org/eclipse/cdt/internal/corext/template/c/CContextType.java
	* src/org/eclipse/cdt/internal/corext/template/c/TemplateMessage.properties
	* src/org/eclipse/cdt/internal/corext/template/c/TranslationUnitContext.java
	* src/org/eclipse/cdt/internal/corext/template/c/TranslationUnitContextType.java
	* src/org/eclipse/cdt/internal/ui/text/contentassit/CCompletionProcessor.java
	* templates/default-templates.xml

2005-02-25 Alain Magloire
	Fix PR 69572: Key binding action for Matching Bracket ... Ctrl+Shift+P
	* src/org/eclipse/cdt/internal/ui/ICHelpContextIds.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	+ src/org/elcipse/cdt/internal/ui/editor/GotoMatchingBracketAction.java
	* src/org/eclipse/cdt/internal/ui/editor/ICEditorActionDefinitionIds.java
	* plugin.properties
	* plugin.xml

2005-02-25 Alain Magloire
	Fix PR 86718: Dialog shows twice
	* src/org/eclipse/cdt/internal/ui/cview/OpenProjectGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/RefactorActionGroup.java

2005-02-25 Alain Magloire
	Fix for PR 45666: Adding Block comment mneu in the CEditor "/* */"
	* src/org/eclipse/cdt/internal/ui/actions/RemoveBlockCommentAction.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* NEWS
	
2005-02-25 Alain Magloire
	Fix PR 86647: remove the hyperlink preference page in the CEditor preference
	Use the Text Editors
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	+ src/org/eclipse/cdt/internal/ui/editor/CElementHyperlink.java
	= src/org/eclipse/cdt/internal/ui/editor/CElementHperlinkDetector.java
	- src/org/eclipse/cdt/internal/ui/editor/IPositionManager.java
	- src/org/eclipse/cdt/internal/ui/editor/MouseClickListener.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java

2005-02-25 Alain Magloire
	Fix PR 86655: adds a link to the Text Editor preference
	Remove some warning, WorkbenchHelp was deprecated.
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/preferences/AbstractPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/AppearancePreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorHoverConfigurationBlock.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CodeAssistPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CTemplatePreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessage.properties

2005-02-24 Alain Magloire
	Fix for 85633, Moving out all the CEditorPreference Text setting
	to eclipse EditorsUI preference page.
	* src/org/eclipse/cdt/internal/ui/editore/CEditor.java
	* src/org/eclipse/cdt/internal/ui/preferences/AbstractPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java
	* src/org/eclipse/cdt/ui/CUIPreferenceInitializer.java

2005-02-15 Alain Magloire
	Fix PR 82322, PR 78330
	* plugin.xml

2005-02-15 Alain Magloire
	Fix PR 82856
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchAnnotationModel.java
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchDocumentProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchFile.java
	* src/org/eclipse/cdt/internal/ui/preferences/CSearchPreferencePage.java

2005-02-14 Alain Magloire
	Fix from Javier Kohen PR 69157
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties

2005-02-14 Alain Magloire
	Fix for PR 84640, do the folding at the start of the ID
	so code like this
	 static int
	 foo () {
	 }
	will start the folding on "foo" and not on "static int"
	* src/org/eclipse/cdt/internal/ui/text/folding/DefaultCFoldingStructureProvider.java

2005-02-10 Bogdan Gheorghe
	Fix for 75916: Errors and exceptions in log if you try create a C++ project with 
	same name/different case.
	Refactored CUIPlugin.errorDialog to take a boolean logError.
	
	* src/org/eclipse/cdt/ui/CUIPlugin.java
	* src/org/eclipse/cdt/ui/dialogs/TabFolderOptionBlock.java
	* src/org/eclipse/cdt/ui/wizards/NewCProjectWizard.java
	
2005-02-09 Alain Magloire
	PR 84841: Description of the template in the hover was incorrect.
	* src/org/eclipse/cdt/internal/ui/text/TemplateEngine.java

2005-02-06 Alain Magloire
	PR 84423, Patch from :  Tomaszewski Przemek
	Added keybinding next/previous(CTRL-SHIFT-UP/DOWN) to from
	member to member in the CEditor(PR 84423).

	* NEWS
	* plugin.properties
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/CSourceViewer.java
	* src/org/eclipse/cdt/internal/ui/editor/ICEditorActionDefinitionIds.java
	
2005-02-02 Bogdan Gheorghe
	Added a delete IProblem Markers action to context menu to allow users to manually
	remove problems reported by the parser during an index.
	
	* src/org/eclipse/cdt/internal/ui/util/DeleteIProblemMarkerAction.java
	* plugin.xml
	* plugin.properties
	
2005-01-29 Alain Magloire
	Fix for 81403: Move the Code Assist preference page
	out of the CEditor preference page.  It clean the CEditorPreferencePage
	and takes less time to instantiate.
	New checkbox in Code Assist to complete common prefix.
	+ src/org/eclipse/cdt/internal/ui/preferences/AbstracPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/prefernces/CEditorPreferencePage.java
	+ src/org/eclipse/cdt/internal/ui/preferences/CodeAssistPreferencge.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessage.java
	* src/org/eclipse/cdt/internal/ui/text/contentassist/ContentAssistPreference.java
	* src/org/eclipse/cdt/ui/CUIPrefernceInitializer.java
	* plugin.xml
	* plugin.properties

2005-01-28 Alain Magloire
	Add Indexer search in the Source Hover implementation.
	* src/org/eclipse/cdt/intenal/ui/text/CSourceHover.java

2005-01-28 David Inglis

	Implement Eclipse 3.0 Next/Prev Annonation retargetable actions for CEditor with Problems
	view highlighting.
	
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/ICHelpContextIds.java
	* src/org/eclipse/cdt/internal/ui/editor/CDocumentProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorActionContributor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties

	+ src/org/eclipse/cdt/internal/ui/editor/GotoAnnotationAction.java

	- icons/full/ctool16/next_error_nav.gif
	- icons/full/ctool16/prev_error_nav.gif
	- icons/full/dtool16/next_error_nav.gif
	- icons/full/dtool16/prev_error_nav.gif
	- icons/full/etool16/next_error_nav.gif
	- icons/full/etool16/prev_error_nav.gif
 	- src/org/eclipse/cdt/internal/ui/editor/GotoErrorAction.java
	
	
2005-01-26 Alain Magloire
	Part of implementing PR 83112
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
	Changes in the interface of the Core Model
	* refactor/org/eclipse/cdt/internal/corext/refactoring/rename/RenameElementProcessor.java
	* refactor/org/eclipse/cdt/internal/ui/refactoring/actions/RenameRefactoringAction.java

2005-01-26 Alain Magloire
	Part of implementing PR 83112
	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/SelectionTransferDragAdapter.java
	* src/org/eclipse/cdt/internal/ui/cview/SelectionTransferDropAdapter.java
	* src/org/eclipse/cdt/internal/ui/dnd/*.java

2005-01-24 Vladimir Hirsl
	SCD work for CDT 3.0
	Better displaying of error messages in TabFolderOptionBlock.
	* src/org/eclipse/cdt/ui/dialogs/TabFolderOptionsBlock.java
	* src/org/eclipse/cdt/internal/ui/CUIMessages.properties
	
2005-01-24 Alain Magloire
	PR 83514 patch from Przemek
	* src/org/eclipse/cdt/internal/ui/actions/ActionMessages.properties
	* src/org/eclipse/cdt/internal/ui/text/CoutlineInformaionControl.java
	* NEWS

2005-01-22 Alain Magloire
	PR 38958
	* src/org/eclipse/cdt/internal/ui/viewsupport/CElementImageProvider.java

2005-01-20 Alain Magloire
	PR 82964 patch from Przemek
	* icons/full/cview16/view_menu.gif
	* src/org/eclipse/cdt/internal.ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/actions/ActionMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/CSourceViewer.java
	* src/org/eclipse/cdt/internal/ui/text/CCodeScanner.java
	* src/org/eclipse/cdt/internal/ui/text/COperatorRule.java
	* src/org/eclipse/cdt/internal/ui/text/COutlineInformationControl.java
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java
	* src/org/eclipse/cdt/internal/ui/text/contenassist/CCompletionProcessor.java

2005-01-19 Alain Magloire
	PR 83151
	* src/org/eclipse/cdt/ui/CElementContentProvider.java

2005-01-11 David Inglis
	Further fix to 36837
	
	* src/org/eclipse/cdt/internal/ui/util/ResourceToItemsMapper.java
	
2005-01-11 David Inglis

	Fix for 82516
	
	* src/org/eclipse/cdt/internal/ui/viewsupport/CElementLabels.java
	

2005-01-07 Alain Magloire
	Part of Fix 82323.
	The "New" action was not shown when workspace was empty
	or no selection.
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	And make sure we do not put problem icons on resources that !exist() && isReadOnly().
	* src/org/eclipse/cdt/internal/ui/util/ResourceToItemsMapper.java
	
2005-01-07 Alain Magloire
	Fix PR 82202
	* src/org/eclipse/cdt/internal/ui/cview/CViewDropAdapter.java
	* src/org/eclipse/cdt/internal/ui/editor/DocumentAdapter.java
	* src/org/eclipse/cdt/internal/ui/util/Resources.java

2004-12-22 Alain Magloire

	On going work to clean cdt.ui from misc. warnings
	and removing the deprecated interfaces in Eclipse-3.1

2004-12-21 Alain Magloire
	We use TogglePresentation action definition ID rather the one
	define in the CDT, since now the platfrom defines one.
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorActionContributor.java
	* src/org/eclipse/cdt/internal/ui/editor/ICEditorActionDefinitionIds.java
	* src/org/eclipse/cdt/internal/ui/editor/ToggglePresentationAction.java

2004-12-21 Alain Magloire
	Fix PR 81635 patch form Przemek
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java

2004-12-20 Alain Magloire
	Fix PR 50578
	* src/org/eclipse/cdt/internal/ui/cview/CViewDropAdapter.java

2004-12-14 Alain Magloire
	PR 80631 Patch form Przemek Tomaszewski
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutilinePage.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinerProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/CSourceViewer.java
	* src/org/eclipse/cdt/internal/ui/editor/ICEdtiroActionDefinitionIds.java
	* src/org/eclipse/cdt/internal/ui/text/COutlineInformationControl.java
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java
	* src/org/eclipse/cdt/internal/ui/util/ProblemTreeViewer.java
	* src/org/eclpse/cdt/ui/CElementContentProvider.java
	* plugin.properties.
	* plugin.xml

2004-12-12 Alain Magloire
	PR 80631 Patch form Przemek Tomaszewski 
	* src/org/eclipse/cdt/internal.ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal.ui/preferences/CEditorPreferencePage.properties
	* src/org/eclipse/cdt/internal/ui/text/CBraceRule.java
	* src/org/eclipse/cdt/internal/ui/text/CCodeScanner.java
	* src/org/eclipse/cdt/internal/ui/text/CppCodeScanner.java
	* src/org/eclipse/cdt/internal/ui/text/ICColorConstants.java
	* src/org/eclipse/cdt/internal/ui/text/NumberRule.java
	* src/org/eclipse/cdt/internal/ui/text/SingleCharRule.java

2004-12-10 Alain Magloire
	Fix for 77874.
	In order to fix this we removed all of the Eclipse-1.0 classes
	that we copied in the CDT.
	The good news is that it is now part of Eclipse-3.x platform and we no
	need to carry the duplicate.
	The templates support was rewritten to use the JFace templates support
	classes.

	* src/org/eclipse/cdt/internal/corext/template/*: remove to use
	JFace Templates support.
	* src/org/eclipse/cdt/internal/corext/template/c/*: rewritten to use
	JFace Templates classes.
	* src/org/eclipse/cdt/intenal/corext/texmanipulation/*: remove to use
	JFace TextEdit support
	* src/org/eclipse/cdt/internal/ui/preferences/CTemplatePreferencePage.java:
	Rewritten to take advantage of JFace support for Templates.
	* src/org/eclipse/cdt/internal/ui/text/link/*: Remove use JFace
	* src/org/eclipse/cdt/internal/ui/text/template/*: Remove use JFace templates
	* plugin.xml
	* plugin.properties
	* template/default-templates.xml
	
2004-12-08 Bogdan Gheorghe
	Fix for 76123
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java
	
	Added sorting for external file matches
	* src/org/eclipse/cdt/internal/ui/search/LevelTreeContentProvider.jaav
	* src/org/eclipse/cdt/ui/CSearchResultLabelProvider.java
	
2004-12-06 Alain Magloire
	Fix for 79865
	* src/org/eclipse/cdt/internal/ui/text/CHelpProviderDescriptor.java

2004-12-03 Chris Wiebe
	fix for 74098
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java

2004-12-03 Alain Magloire
	Implement comment blocks(Code take from JDT Editor)
	* src/org/eclipse/cdt/internal/ui/action/AddBlockCommentAction.java
	* src/org/eclipse/cdt/internal/ui/action/BlockCommentAction.java
	* src/org/eclipse/cdt/internal/ui/action/RemoveBlockCommentAction.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/ICEditorActionDefinitionIds.java
	* src/org/eclipse/cdt/internal/ui/text/	CPartitionScanner.java
	* src/org/eclipse/cdt/internal/ui/text/CTextTools.java
	* src/org/eclipse/cdt/internal/ui/text/FastCPartitionScanner.java
	* src/org/eclipse/cdt/internal/ui/text/ICPartitions.java
	* plugin.xml

2004-12-02 Alain Magloire
	Fix for 40081
	Textfield to choose NM.
	Fix MacOX binary parser page.
	* src/org/eclipse/cdt/internal/ui/CUIMessages.properties.
	* src/org/eclipse/cdt/ui/dialogs/BinaryParserBlock.java
	* src/org/eclipse/cdt/ui/dialogs/CygwinPEBinarParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/MachOBinaryParserPage.java

2004-11-25 Alain Magloire
	Fix for PR 79327
	* src/org/eclipse/cdt/internal/ui/cview/CViewLabelProvider.java
	
2004-11-24 Chris Wiebe

	fix command binding for OpenTypeInHierarchyAction
	* plugin.xml
	
2004-11-24 Alain Magloire
	Remove unused class, reduce confusion in code maintainance.
	* src/org/eclipse/cdt/internal/ui/util/ProblemItemMapper.java

2004-11-19 Alain Magloire
	Fix for PR 39204
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java

2004-11-19 Bogdan Gheorghe
	Fix for 43664 : Search should report matches outside of workspace
	
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchAnnotationModel.java
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchDocumentProvider.java	
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/ExternalSearchFile.java	
	* src/org/eclipse/cdt/internal/ui/preferences/CSearchPreferencePage.java	
	* src/org/eclipse/cdt/internal/ui/search/CSearchResult.java	
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java	
	* src/org/eclipse/cdt/internal/ui/search/NewSearchResultCollector.java
	* src/org/eclipse/cdt/internal/ui/search/actions/DeclarationsSearchGroup.java	
	* src/org/eclipse/cdt/internal/ui/search/actions/ReferencesSearchGroup.java
	* src/org/eclipse/cdt/ui/CUIPlugin.java
	* plugin.properties
	* plugin.xml

2004-11-12 David Inglis
	
	Fixed bug # 78292
	* src/org/eclipse/cdt/internal/ui/editor/TranslationUnitAnnotationModelEvent.java
	
2004-11-10 Chris Wiebe

	additional case for 78200
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java

2004-11-10 Chris Wiebe

	Fix for 78200
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewFileWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewHeaderFileCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewSourceFileCreationWizardPage.java

2004-11-05 Alain Magloire
	Framework for code formatter.
	* src/org/eclipse/cdt/internal/coreext/CodeFormatterUtil.java
	* src/org/eclipse/cdt/internal/ui/ICHelpContextIds.java
	* src/org/eclipse/cdt/internal/ui/preferences/CodeFormatterPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties
	* src/org/eclipse/cdt/internal/ui/text/CFormattingStrategy.java
	* src/org/eclipse/cdt/ui/dialogs/CodeFormatterBlock.java
	* plugin.xml
	* plugin.properties

2004-11-05 Chris Wiebe

	Fix for 56204 - empty source files are no longer created
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java

2004-11-05 Chris Wiebe

	Remove option to use an existing class as enclosing type (defer to future release)
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassWizardMessages.properties

2004-11-04 Alain Magloire
	Fix for 77825 from (Mikhail Voronin)
	* src/org/eclipse/cdt/internal/ui/text/CHelpProviderDescriptor.java

2004-11-02 Tanya Wolff
	Fixed content assist extensibility for 77482 - changed context condition 
	for addProposalsFromCompletionContributors() & 	fixed cursor position
	* src/org/eclipse/cdt/internal/ui/text/contentassist/CCompletionProcessor.java

2004-11-01 Alain Magloire
	Patch from Mikhail Voronin to implement 71240.
	Too many changes to enumerate refer to PR:
		https://bugs.eclipse.org/bugs/show_bug.cgi?id=71240

2004-10-14 Alain Magloire

	Provide the hashCode method.
	* src/org/eclipse/cdt/internal/ui/cview/IncludeRefContainer.java

2004-09-24 Chris Wiebe

	minor icon cleanup
	* icons/full/dtool16/opentype.gif
	* icons/full/etool16/opentype.gif
	* icons/full/obj16/bin_obj.gif
	* plugin.xml

2004-09-24 Chris Wiebe

	remove obsolete classes
	* src/org/eclipse/cdt/internal/ui/wizards/BaseClassSelectionDialog.java
	* src/org/eclipse/cdt/internal/ui/wizards/OpenNewFileWizardAction.java
	* src/org/eclipse/cdt/internal/ui/wizards/OpenNewFolderWizardAction.java
	* src/org/eclipse/cdt/ui/wizards/NewClassWizard.java
	* src/org/eclipse/cdt/ui/wizards/NewClassWizardPage.java

2004-09-24 Chris Wiebe

	new folder wizards
	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/CBrowsingPerspectiveFactory.java
	* icons/full/ctool16/newsrcfldr_wiz.gif
	* icons/full/dtool16/newsrcfldr_wiz.gif
	* icons/full/etool16/newsrcfldr_wiz.gif
	* icons/full/wizban/newsrcfldr_wiz.gif
	* src/org/eclipse/cdt/internal/ui/CPerspectiveFactory.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/ICHelpContextIDs.java
	* src/org/eclipse/cdt/internal/ui/wizards/CWizardRegistry.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewFolderDropDownAction.java
	* src/org/eclipse/cdt/internal/ui/wizards/folderwizard/NewFolderWizardMessages.java
	* src/org/eclipse/cdt/internal/ui/wizards/folderwizard/NewFolderWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/folderwizard/NewSourceFolderWizardPage.java
	* src/org/eclipse/cdt/ui/CUIPlugin.java
	* src/org/eclipse/cdt/ui/wizards/NewFolderCreationWizard.java
	* src/org/eclipse/cdt/ui/wizards/NewSourceFolderCreationWizard.java
	* plugin.properties
	* plugin.xml

2004-09-22 Chris Wiebe

	updated wizard banner icons to new look
	*icons/full/wizban/addpath_wiz.gif
	*icons/full/wizban/fieldrefact_wiz.gif
	*icons/full/wizban/methrefact_wiz.gif
	*icons/full/wizban/typerefact_wiz.gif

2004-09-22 Chris Wiebe

	new file wizards
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/SourceFileSelectionDialog.java
	* src/org/eclipse/cdt/internal/ui/wizards/AbstractOpenWizardAction.java	
	* src/org/eclipse/cdt/internal/ui/wizards/AbstractWizardDropDownAction.java	
	* src/org/eclipse/cdt/internal/ui/wizards/BaseClassSelectionDialog.java	
	* src/org/eclipse/cdt/internal/ui/wizards/CWizardRegistry.java	
	* src/org/eclipse/cdt/internal/ui/wizards/NewFileDropDownAction.java	
	* src/org/eclipse/cdt/internal/ui/wizards/NewProjectDropDownAction.java	
	* src/org/eclipse/cdt/internal/ui/wizards/NewTypeDropDownAction.java
	* src/org/eclipse/cdt/internal/ui/wizards/OpenNewFileWizardAction.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* icons/full/ctool16/newcfile_wiz.gif
	* icons/full/ctool16/newhfile_wiz.gif
	* icons/full/dtool16/newcfile_wiz.gif
	* icons/full/dtool16/newhfile_wiz.gif
	* icons/full/etool16/newcfile_wiz.gif
	* icons/full/etool16/newhfile_wiz.gif
	* icons/full/wizban/newcfile_wiz.gif
	* icons/full/wizban/newhfile_wiz.gif
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/AbstractFileCreationWizard.java
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/AbstractFileCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewFileWizardMessages.java
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewFileWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewHeaderFileCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewSourceFileCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/filewizard/NewSourceFileGenerator.java
	* src/org/eclipse/cdt/ui/wizards/NewClassWizard.java
	* src/org/eclipse/cdt/ui/wizards/NewClassWizardPage.java
	* src/org/eclipse/cdt/ui/wizards/NewFileCreationWizard.java
	* src/org/eclipse/cdt/ui/wizards/NewHeaderFileCreationWizard.java
	* src/org/eclipse/cdt/ui/wizards/NewSourceFileCreationWizard.java
	* plugin.properties
	* plugin.xml
	
2004-09-21 Alain Magloire
	Duplication in the CView ILibraryReferece.
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java

2004-09-16 Chris Wiebe

	refactor messages out of internal.ui.search.CSearchMessages
	add default label for anonymous structs
	* src/org/eclipse/cdt/internal/ui/CUIMessages.properties
	* src/org/eclipse/cdt/internal/ui/viewsupport/CElementLabels.java

2004-09-15 Chris Wiebe

	Allow sorting categories to be accessed from subclass.
	Namespaces with reserved names should be sorted the same as celements.
	* src/org/eclipse/cdt/ui/CElementSorter.java

2004-09-15 Chris Wiebe

	refactoring generic stuff out of browser/ and typeinfo-specific stuff back in
	* src/org/eclipse/cdt/internal/ui/CUIMessages.properties
	* src/org/eclipse/cdt/internal/ui/viewsupport/CUILabelProvider.java
	* src/org/eclipse/cdt/internal/ui/viewsupport/StatusBarUpdater.java
	* src/org/eclipse/cdt/internal/ui/viewsupport/StorageLabelProvider.java

2004-09-14 Alain Magloire

	Pr 73831. Tentative fix
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencPage.java
	* src/org/eclipse/cdt/internal/ui/text/util/CColorManager.java

2004-09-14 Alain Magloire

	Define contentTypes for some of the
	extension points.
	* plugin.xml

2004-09-11 Alain Magloire

	Allow grouping of namespace in the outliner.
	See the appereance namespace.

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinerProvider.java
	* src/org/eclipse/cdt/internal/ui/preferences/AppearancePreferencePage.java
	* src/org/eclipse/cdt/ui/CElementGrouping.java
	* src/org/eclipse/cdt/ui/CUIPreferenceInitializer.java
	* src/org/eclipse/cdt/ui/NamespacesGrouping.java
	* src/org/eclipse/cdt/ui/PreferenceConstants.java

2004-09-09 David Inglis

	Fix large gap between image and text in CView and ProjectView

	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/ProjectsView.java
	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewLabelProvider.java
	
2004-09-09 David Inglis
	Fix for 36837 - CVS decoration updating

	* src/org/eclipse/cdt/internal/ui/editor/CEditorErrorTickUpdater.java
  	* src/org/eclipse/cdt/internal/ui/util/ProblemTreeViewer.java

	removed Eclipse 1.0 way of decorating label providers - use label decorators

  	* src/org/eclipse/cdt/internal/ui/ErrorTickAdornmentProvider.java
  	* src/org/eclipse/cdt/internal/ui/IAdornmentProvider.java

	refactored to internal.ui.viewsupport
	
  	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
  	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/AppearanceAwareLabelProvider.java
  	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/CUILabelProvider.java
  	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/ProblemsLabelDecorator.java
  	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/DecoratingCLabelProvider.java
  	* src/org/eclipse/cdt/internal/ui/StandardCElementLabelProvider.java
  	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPElementLabelProvider.java

	changes due to refactor
	
  	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/CBrowsingPart.java
  	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/MembersView.java
  	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/ProjectsView.java
  	* browser/org/eclipse/cdt/internal/ui/browser/typehierarchy/HierarchyLabelProvider.java
  	* browser/org/eclipse/cdt/internal/ui/browser/typehierarchy/HistoryAction.java
  	* browser/org/eclipse/cdt/internal/ui/browser/typehierarchy/MethodsLabelProvider.java
  	* browser/org/eclipse/cdt/internal/ui/browser/typehierarchy/MethodsViewer.java
  	* browser/org/eclipse/cdt/internal/ui/browser/typehierarchy/TypeHierarchyViewPart.java
  	* browser/org/eclipse/cdt/internal/ui/browser/typehierarchy/TypeHierarchyViewer.java

  	* src/org/eclipse/cdt/internal/ui/CWorkbenchAdapter.java
  	* src/org/eclipse/cdt/internal/ui/compare/CNode.java
  	* src/org/eclipse/cdt/internal/ui/cview/CView.java
  	* src/org/eclipse/cdt/internal/ui/cview/CViewLabelProvider.java
  	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
  	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
  	* src/org/eclipse/cdt/internal/ui/text/contentassist/ResultCollector.java
  	* src/org/eclipse/cdt/internal/ui/util/IProblemChangedListener.java
  	* src/org/eclipse/cdt/internal/ui/util/ProblemMarkerManager.java
  	* src/org/eclipse/cdt/internal/ui/util/ProblemTableViewer.java

2004-09-09 Bogdan Gheorghe
	Fix for 73406 - Indexer:  Double-Indexing on Specific  Project
	
2004-09-09 Chris Wiebe

	limit base class selection to referenced projects
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassWizardMessages.properties

2004-09-08 Alain Magloire

	Fix For PR 73459
	* src/org/eclipse/cdt/internal/ui/editor/CDocumentProvider.java

2004-09-08 Alain Magloire

	Fix for PR 73454.
	* src/org/eclipse/cdt/internal/ui/text/folding/DefaultCFoldingStructureProvider.java

2004-09-07 Alain Magloire
	Wrong icons
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewLabelProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/InlcudeReferenceProxy.java

2004-09-07 Alain Magloire

	Part of the uncoming work to supply formatting in CDT
	* src/org/eclipse/cdt/internal/corext/CodeFormatterUtil.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/text/CFormatingStrategy.java
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java
	* plugin.properties
	* plugin.xml

2004-09-07 Chris Wiebe

	comment out old class wizard
	* plugin.xml

2004-09-07 Bogdan Gheorghe

	Fix for Bug 73191: Search not finding all references in a specific example
	* src/org/eclipse/cdt/internal/ui/search/CSearchPage.java
	
2004-09-04 Alain Magloire

	Fix for PR 73118
	* refactor/org/eclipse/cdt/internal/ui/refactoring/actions/RenameRefactoringAction.java

2004-09-03 Chris Wiebe

	add support for IDeferredWorkbenchAdapter
	* src/org/eclipse/cdt/internal/ui/CElementAdapterFactory.java
	* src/org/eclipse/cdt/internal/ui/DeferredCWorkbenchAdapter.java

2004-09-03 Alain Magloire

	The Binaries were not showing children.

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java

2004-09-03 Alain Magloire

	Provide key binding for AddInclude action
	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties
	* plugin.xml
	* plugin.properties

2004-09-02 Alain Magloire
	
	Deal with WorkingCopy vs TranslationUnit in the hashCode.
	* src/org/eclipse/cdt/internal/ui/cview/CViewElementComparer.java

2004-09-02 Bogdan Gheorghe
	Fix for 72816: [Search] Selection Search For Working Set
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchUtil.java
	* src/org/eclipse/cdt/internal/ui/search/LRUWorkingSets.java
	* src/org/eclipse/cdt/internal/ui/search/actions/DeclarationsSearchGroup.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindDeclarationsInWorkingSetAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindRefsInWorkingSetAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/ReferencesSearchGroup.java
	* src/org/eclipse/cdt/internal/ui/search/actions/WorkingSetFindAction.java

	
2004-09-01 Alain Magloire

	Deal with the fact that elements can come
	from WorkingCopy or TranslationUnit
	* src/org/eclipse/cdt/internal/ui/cview/CViewElementComparer.java

2004-08-31 Alain Magloire

	Provide a Proxy wrapper for the includeRefence class
	This will allow us to provide special Icon, a correct
	getParent() etc .. in the C/C++ view.
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewLabelProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/IncludeRefContainer.java
	* src/org/eclipse/cdt/internal/ui/cview/IncludeReferenceProxy.java

2004-08-30 Alain Magloire

	Fix for 72914
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java

2004-08-27 Chris Wiebe

	class wizard fixes
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationCodeGenerator.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/SourceFileSelectionDialog.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/SourceFolderSelectionDialog.java

2004-08-27 Alain Magloire

	Fix for 72135
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathBasePage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathSourceEntryPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/TreeListDialgField.java

2004-08-26 Alain Magloire
	Be on the same length as the Java Editor and Ant Editor
	for the Preference page.  Misc warning removes, when
	raising the level of warnings from the compiler.

	* src/org/eclipse/cdt/internal/ui/preference/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preference/PreferencesMessages.properties

2004-08-25 Chris Wiebe

	better handling of enclosing type
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/AbstractMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/ConstructorMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/DestructorMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/IMethodStub.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewClassCreationWizard.java

2004-08-25 Chris Wiebe

	support for matching enclosed type names
	* browser/org/eclipse/cdt/internal/ui/browser/typehierarchy/OpenTypeHierarchyAction.java
	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java

2004-08-25 Chris Wiebe

	Got rid of little 'C' icons on the editor preference pages
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java

2004-08-25 Alain Magloire

	Fix for 65761: Show all the include paths in the includes container.

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewLabelProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/IncludeRefContainer.java

2004-08-25 Chris Wiebe

	Got rid of little 'C' icons on the editor preference pages
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java

2004-08-25 Chris Wiebe

	Fix AddInclude action to resolve paths correctly
	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java

2004-08-24 Alain Magloire

	Implementation for PR 69118: Folding.
	Framework taken from the JDT folding adapted to C

	* src/org/eclipse/cdt/internal/ui/action/ActionMessages.java
	* src/org/eclipse/cdt/internal/ui/action/FoldingActionGroup.java

	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java

	* src/org/eclipse/cdt/internal/ui/preference/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preference/FoldingConfigurationBlock.java
	* src/org/eclipse/cdt/internal/ui/preference/PreferencesMessages.properties

	* src/org/eclipse/cdt/internal/ui/text/folding/CFoldingStructureProviderDescriptor.java
	* src/org/eclipse/cdt/internal/ui/text/folding/CFoldingStructureProviderRegistry.java
	* src/org/eclipse/cdt/internal/ui/text/folding/DefaultCFoldingPreferenceBlock.java
	* src/org/eclipse/cdt/internal/ui/text/folding/DefaultCFoldingStructureProvider.java
	* src/org/eclipse/cdt/internal/ui/text/folding/EmptyCFoldingPrefernceBlock.java
	* src/org/eclipse/cdt/internal/ui/text/folding/FoldingMessages.java
	* src/org/eclipse/cdt/internal/ui/text/folding/FoldingMessages.properties

	* src/org/eclipse/cdt/ui/CUIPlugin.java
	* src/org/eclipse/cdt/ui/PreferenceConstants.java

	* src/org/eclipse/cdt/ui/text/folding/ICFoldingPreferenceBlock.java
	* src/org/eclipse/cdt/ui/text/folding/ICFoldingStructureProvider.java

	* plugin.properties
	* plugin.xml

2004-08-24 Chris Wiebe

	fix sorting bug
	* browser/org/eclipse/cdt/core/browser/QualifiedTypeName.java

2004-08-21 Alain Magloire

	Hardcode The CEditor id and the ASM id for the
	CView openEditor.

	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java
	* plugin.xml

2004-08-21 Alain Magloire

	Fix for 69756
	* plugin.xml

2004-08-20 Chris Wiebe

	class wizard now adds include paths dynamically
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java

2004-08-19 Alain Magloire

	Match the changing API of the Resolver Model.

	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferenceBlock.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPropertyPage.java

2004-08-19 Alain Magloire

	Show the right icons for non-C-Resources.
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java

2004-08-19 Chris Wiebe

	improved file validation
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardMessages.properties
	
2004-08-18 Chris Wiebe

	added source/header file selection dialog
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCodeGenerator.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/SourceFileSelectionDialog.java

2004-08-16 Chris Wiebe

	better handling of source folders in class wizard
	* src/org/eclipse/cdt/internal/corext/util/CModelUtil.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/NewClassCreationWizardMessages.properties

2004-08-16 Tanya Wolff
	Fix for 70906: Duplicate entries in C/C++ preferences
	
	src/org.eclipse.cdt.internal.ui.preferences/CeditorHoverConfigurationBlock.java

2004-08-16 Bogdan Gheorghe
	Fix for 70113: Search for Template member declarations causes Assertion
	
2004-08-13 Chris Wiebe

	add namespace to class wizard.
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/*

2004-08-12 Chris Wiebe

	Initial draft of new class wizard.
	* src/org/eclipse/cdt/ui/wizards/NewClassCreationWizard.java
	* src/org/eclipse/cdt/internal/ui/wizards/classwizard/*

2004-08-12 Chris Wiebe

	* src/org/eclipse/cdt/internal/ui/wizards/dialogsfields/ListDialogField.java
	* src/org/eclipse/cdt/internal/ui/wizards/dialogsfields/CheckedListDialogField.java

	change constructor to accept IBaseLabelProvider so TableViewer can use ITableLabelProvider
	fix bug in CheckedListDialogField.SetChecked() (never worked!)

2004-08-12 Alain Magloire

	Fix for PR 71667.
	Changes to the CCompletionContributor to pass
	a context.

	* src/org/eclipse/cdt/internal/ui/CCompletionContributorManager.java
	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSlectionAction.java
	* src/org/eclipse/cdt/internal/ui/text/CCompletionContributorDescriptor.java
	* src/org/eclipse/cdt/internal/ui/text/hover/CDocHover.java
	* src/org/eclipse/cdt/internal/ui/t4xt/CCompletionProcessor.java
	* src/org/eclipse/cdt/ui/ICCompletionContributor.java
	* src/org/eclipse/cdt/ui/text/ICCompletionInvocationContext.java
	* plugin.xml

2004-08-11 Alain Magloire

	Duplication in the CView.
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java

2004-08-10 Alain Magloire

	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java

2004-08-06 Chris Wiebe

	Add scheduling rule to WorkbenchRunnableAdapter
	* src/org/eclipse/cdt/internal/ui/actions/WorkbenchRunnableAdapter.java

2004-08-06 Chris Wiebe

	Added new element wizard classes.
	* src/org/eclipse/cdt/internal/ui/wizards/NewElementWizard.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewElementWizardPage.java
	
2004-08-04 Alain Magloire

	Provide filters for the Outliner.

	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
	* src/org/eclipse/cdt/internal/ui/filters/MacroDirectiveFilter.java
	* src/org/eclipse/cdt/internal/ui/filters/UsingDirectiveFilter.java
	* plugin.properties
	* plugin.xml

2004-08-04 Alain Magloire

	Fix ShowInCView class
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/ui/CElementGrouping.java
	* src/org/eclipse/cdt/ui/Includes/Grouping.java
	* src/org/eclipse/cdt/ui/actions/ShowInCViewAction.java

2004-08-04 Alain Magloire

	Implementation of Grouping for includes.
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/ICHelpContextIds.java
	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/IncludeRefContainer.java
	* src/org/eclipse/cdt/internal/ui/cview/LibraryRefContainer.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinerProvider.java
	* src/org/eclipse/cdt/internal/ui/preferences/AppearancePreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CPluginPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties
	* src/org/eclipse/cdt/ui/CElementGrouping.java
	* src/org/eclipse/cdt/ui/CElementSorter.java
	* src/org/eclipse/cdt/ui/IncludesGrouping.java
	* src/org/eclipse/cdt/ui/PreferenceConstants.java

2004-08-03 Tanya Wolff

	Fix for 71033: English "Find Refs" in Workbench Key preferences.
	*plugin.properties
	*plugin.xml
	
2004-07-30 Alain Magloire

	Implementation of "Add Include" add the using directive.

	* icons/full/obj16/using_obj.gif
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/ui/CElementLabelProvider.java

2004-07-29 Tanya Wolff

	Part Fix for 69768: CDT wasn't displaying non-English templates.
	*org.eclipse.cdt.internal.corext.template/Templates.java
	
2004-07-27 Tanya Wolff

	Fix for 70124 -- allow buttons to be expandable for translation
	*org.eclipse.cdt.ui.wizards.conversion/ConvertProjectWizardPage.java
	
2004-07-24 Chris Wiebe

	Major clean up patch on the wizards.
	New button to access them.

2004-07-23 Alain Magloire

	Support for addInclude action, implementation base
	on the indexer.
	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java

2004-07-16 Tanya Wolff

	Fix for 70543: TVT: Source code displaying in C++ Font and Editor
	* plugin.properties
	
2004-07-20 Alain Magloire

	Framework to do virtual grouping in the outliner
	for example group the includes.

	* icons/full/obj16/incc_obj.gif
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/actions/ActionMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlineProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/PreferenceConstants.java
	
2004-07-19 Chris Wiebe
	This patch cleans up code using the ToggleLinkingAction
	(subclass off AbstractToggleLinkingAction).

	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/CBrowsingPart.java
	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/ToggleLinkingAction.java

	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/ToggleLinkingAction.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java

2004-07-16 Tanya Wolff

	Fix for 70221: unexternalized strings
	* org.eclipse.cdt.internal.ui/search/CountLabelProvider.java
	* org.eclipse.cdt.internal.ui/search/CSearchMessages.properties

2004-07-16 Vladimir Hirsl
	Implementation of HP-UX SOM binary parser page.
 
	* src/org/eclipse/cdt/ui/dialogs/AbstractGNUBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/GNUSomBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/GNUElfBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/GNUXCoffBinaryParserPage.java

2004-07-16 Chris Wiebe

	Fixing numerous warnings.

2004-07-15 Tanya Wolff

	Fix for 70124: unexternalized strings
	* org.eclipse.cdt.ui.wizards.conversion/ConvertProjectWizardPage.java
	* org.eclipse.cdt.internal.ui/CUIMessages.properties
	Fix for 70143: duplicate mnemonics in binary parser options
	* org.eclipse.cdt.ui.dialogs.CygwinPEBinaryParserPage.java
	* org.eclipse.cdt.ui.dialogs.GnuElfBinaryParserPage.java
	* org.eclipse.cdt.internal.ui/CUIMessages.properties
2004-07-15 Chris Wiebe

	Initial draft for the type hierarchy view.
	* browser/*
	* icons/*

2004-07-15 Hoda Amer
	Fix for PR 68500: [Outline View] After doing a rename of a class, the outline viewer does not display the new name (just the old name)
	
2004-07-09 Hoda Amer
	Fix for PR 69510 : [C++ Class Wizard] error message in C++ Class Wizard if invoke Class Wizard from existing C++ class in C/C++ Project View
	
2004-07-09 Alain Magloire
	Pr reported by Alex C.
	Follow the other views lead and for multiple selection
	show the number of selections.

	* src/org/eclipse/cdt/interanal/ui/cview/CView.java
	* src/org/eclipse/cdt/interanal/ui/cview/CViewMessages.properties

2004-07-08 Hoda Amer
	Partial fix for PR 69439: content assist confusion	

2004-07-08 Bogdan Gheorghe
	Fix for 64177: [Search] Clean up Selection Search UI
	Fix for 57121: [Search] Searching when all of the "Search For" checkboxes are unchecked causes an exception
	Fix for 68249: Accessibility: Project Settings Indexer description chopped
	
	* src/org/eclipse/cdt/internal/ui/CPluginResources.properties
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
	* src/org/eclipse/cdt/internal/ui/editor/ICEditorActionDefintionIds.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchPage.java
	* src/org/eclipse/cdt/internal/ui/search/NewSearchResultCollector.java
	* src/org/eclipse/cdt/internal/ui/search/actions/DeclarationsSearchGroup.java
	* src/org/eclipse/cdt/internal/ui/search/actions/ReferencesSearchGroup.java
	* src/org/eclipse/cdt/internal/ui/search/actions/SelectionSearchGroup.java
	* plugin.xml

2004-07-07 Hoda Amer
	Fix for PR 69411: Bad label: WizardNewFileCreationPage.progress
	
2004-07-06 Bogdan Gheorghe
	
	Added support for search name grouping.
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchMatch.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchResult.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java
	* src/org/eclipse/cdt/internal/ui/search/LevelTreeContentProvider.java
	* src/org/eclipse/cdt/internal/ui/search/NewSearchResultCollector.java
	* src/org/eclipse/cdt/ui/CSearchResultLabelProvider.java

2004-07-06 Chris Wiebe

	This patch prevents some NPEs from happening in the class browser.  I
	suggest this should be applied to both HEAD and CDT_2_0 branch.

	* src/org/eclipse/cdt/internal/ui/viewsupport/CElementLabels.java

2004-07-06 Hoda Amer
	Fix for PR 69330 : Outline is flickering.
	
2004-07-06 Chris Wiebe
	This patch fixes a problem when using the class wizard, where the system
	include separator '<' was used for project-relative include path instead
	of '"'.
	
2004-06-28 Alain Magloire

	Fix for PR 68820.
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	
2004-06-27 Bogdan Gheorghe
	Fix for Bug 67987: [Search] C Search results do no show up as editor annotations
	
2004-06-24 Hoda Amer
	Changing Refactoring name collision from Error to FatalError
	
2004-06-25 Chris Wiebe
	Fix for PR# 49849: [New Class Wizard] Able to add a new C++ Class with the same name (at same location) from  New C++ Class Wizard
	
2004-06-24 Bogdan Gheorghe
	Fix for 66695: [Indexer] Manually add an include path to a file/folder is ignored
	Changed CompletionEngine getScannerInfo to get the info from a resource instead of 
	a project in order to get a complete list of include paths
	
	* src/org/eclipse/cdt/internal/ui/search/actions/SelectionParseAction.java
	* src/org/eclipse/cdt/internal/ui/text/contentassist/CompletionEngine.java
	
	
2004-06-24 Tanya Wolff
	Fix for PR 60299: Accessibility: Lost children in Binary Parser properties dialog
	Switched the binary parsers Options group with its child composite so the
	group is read before the controls in the group.
	Externalized a few dialog titles.
	* src/org/eclipse/cdt/ui/dialogs/BinaryParserBock.java
	* src/org/eclipse/cdt/ui/dialogs/CygwinBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/GNUElfBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/BinaryParserBock.java
	
2004-06-24 Hoda Amer
	A small fix to the New Class Wizard "link to file" option.
	Fix for PR# 47570 : [New Class Wizard] Use of internal Eclipse classes in CDT(LinkToFileGroup)
	
2004-06-24 Chris Wiebe
	Fix for PR 48783 : [New Class Wizard] Err Create C++ Class with "Link to  File" checkbox selected
	Fix for PR 47571 : [New Class Wizard] resolved location can be blanked
	Fix for PR 48774 : [New Class Wizard] Error if Create C++ Class with no name
	
2004-06-23 Tanya Wolff
	Fix for bugs 66134,66145
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathEntryMessages.properties
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeSymbolEntryPage.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewWizardMessages.properties
	* src/org/eclipse/cdt/internal/ui/wizards/dialogfields/LinkToFileGroup.java
	
2004-06-23 Tanya Wolff
	Fix for Bug 66300 - i18n: File Types preferences buttons don't expand
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferences.java

2004-06-21 Alain Magloire

	It is too late to change the icons, but still
	make a difference in a CFolder(CContainer) and
	a normal folder.
	* icons/full/obj16/sroo_obj.gif
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java

2004-06-22 Tanya Wolff
	Fix for Bug 49883:  duplicate mnemonics on editor preferences page.
	Also flipped label/checkbox presentation for "bold" so the mnemonic would work. 
	Removed unneeded keys.
	
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties		

2004-06-22 Bogdan Gheorghe
	Fix for 68028: Open Declaration into closed project causes PartInitException
	
	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java
	* src/org/eclipse/cdt/internal/ui/util/OpenIncludeAction.java
	
 
2004-06-21 Bogdan Gheorghe
	Fixed opening search external markers.

2004-06-21 Alain Magloire

	Big Patch from Vladimir Hirsl
	Implementation of AIX XCOFF32 binary parser page.

	* src/org/eclipse/cdt/ui/dialogs/GNUElfBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/GNUXCoffBinaryParserPage.java

2004-06-21 Hoda Amer
	Fix for PR 63439 : [Content Assist] When prefix is a C/C++ keyword, Content Assist does not complete templates
	
2004-0618 Alain Magloire
	Patch from Chris W. to fix PR 6606

2004-06-17 Tanya Wolff
	Fix for PR 60616: [Accessibility] 
	Removed mnemonics for reusable code Browse & Variables buttons, 
	fixed other duplicate mnemonices in New Class wizard.
	*org.eclipse.cdt.ui.wizards/NewWizardMessages.properties
	
2004-06-18 Bogdan Gheorghe
	Fix for Bug 66933: [Selection Search] Working set name is {0} in search results
	
	* src/org/eclipse/cdt/internal/ui/search/actions/FindDeclarationsInWorkingSetAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindRefsInWorkingSetAction.java
	
2004-06-18 Bogdan Gheorghe
	Part 2 of Fix for Bug 62668: [Search] Search results rely on case of file names in include statement
	rather then the filesystem
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java
	
2004-06-18 Bogdan Gheorghe
	Partial Fix for Bug 62668: [Search] Search results rely on case of file names in include statement
	rather then the filesystem
	
	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java
	
2004-06-17 Hoda Amer
	Fix for PR 63933: [Refactoring] compilation errors does not prevent rename refactoring
	Fix for PR 64213: [Refactoring] No warning given when renaming class A to B when B already exists
	
2004-06-16 Hoda Amer 
	Fix for PR 66730: [Refactoring] Renaming a class does not change .cpp file.
	Fix for PR 61045: [Accessibility] Code Templates Preview box has no MSAA name
	
2004-06-15 Bogdan Gheorghe
	Fix for Bug 60490:  "Selected resource" option should only be enabled/disabled 
	based on selections in the Navigator and C/C++ Projects views - search now
	works on all C/C++ views
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchScopeFactory.java
	* src/org/eclipse/cdt/internal/ui/search/NewSearchResultCollector.java
		
2004-06-15 Bogdan Gheorghe
	Fix for Bug 63957: Error with external search markers - changed label
	provider to provide proper paths for external links
	
2004-06-15 Bogdan Gheorghe
	Disable background type cache on startup for now
	
	* src/org/eclipse/cdt/internal/ui/preferences/WorkInProgressPreferencePage.java
	
2004-06-14 Bogdan Gheorghe
	Fix for Bug 66748: Fixed in head - we now add a _cdtsrchlink_ label to all 
	imports brought in by search and ensure that we don't delete any local files.
	
2004-06-11 Bogdan Gheorghe
	Fix for Bug 66016: Moved search related items from work in progress to search page
	
2004-06-10 Bogdan Gheorghe
	Fix for Bug 65132: moving folder onto itself deletes entire project
	
	* src/org/eclipse/cdt/internal/ui/cview/CViewDropAdapter.java
	
2004-06-10 Hoda Amer
	Fix for PR 66289: [Content assist] menu item contains red square icon
	
2004-06-10 Alain Magloire

	Move from working in progress the checkbox
	enable/disable editor problem annotation.

	* src/org/eclipse/cdt/internal/ui/preferences/CEditorHoverConfigurationblock.java
	* src/org/eclipse/cdt/internal/ui/preferences/WorkingInProgressPreferencePage.java
	* src/org/eclipse/cdt/ui/PrefencecConstants.java
	
2004-06-09 Alain Magloire

	Patch from Sam Rob to resolve 64022

2004-06-09 Tanya Wolff
	Externalized strings from Work In Progress
	Part of PR 66016
	
	* src/org/eclipse/cdt/internal/ui/preferences/PreferencesMessages.properties
	
2004-06-09 Alain Magloire
	Disable extension Work In Progress
	in plugin.xml. Part of PR 66016

	* plugin.xml

2004-06-09 Bogdan Gheorghe
	Fix for  Bug 66273 - Opening declaration causes stack overflow
	
	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java

2004-06-08 Tanya Wolff
	Fix for Bug 63467 - choice format for displaying plural
	
	* src/org/eclipse/cdt/internal/corext/template/TemplateMessages.properties

2004-06-08 Tanya Wolff
	Fix for bug 66197 : I18N: Invalid key in Code Templates export message
	* src/org/eclipse/cdt/internal/corext.template/TemplateMessages.properties

2004-06-08 Alain Magloire

	Fix for 66188
	The callback acceptProblem() should do nothing.

	* src/org/eclipse/cdt/internal/ui/compare/CParseTreeBuilder.java

2004-06-08 Alain Magloire

	Fix for PR 66186.
	Remove the log() print not necessary
	and users thinks something went wrong.
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java

2004-06-07 Tanya Wolff
	Fix for Bug 66053 - externalized string in cview

	* src/org/eclipse/cdt/internal/ui/cview/IncludeRefContainer.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewMessages.properties

2004-06-08 Hoda Amer
	Fix for bug 51482, 61039 
	* src/org/eclipse/cdt/internal/ui/preferences/TemplatePreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/ColorEditor.java
	Fix for bug 44552
	Patch from Dave applied.
	
2004-06-08 Hoda Amer
	Fixes for bugs 62780, 62783, 62784
	* refactor/org/eclipse/cdt/internal/corext/refactoring/rename/RenameElementProcessor.java
	
2004-06-08 Alain Magloire

	Fix for bug 65173
	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/LexicalSortingAction.java

2004-06-08 Alain Magloire

	Fix For Bug 65172
	* browser/org/eclipse/cdt/internal/ui/browser/cbrowsing/CBrowsingContentProvider.java

2004-06-07 Hoda Amer
	Fix for bug 63395 : [Refactoring] a template class does not refactor its constructor
	
2004-06-07 Bogdan Gheorghe
	Fix for Bug 60772
	
	* src/org/eclipse/cdt/internal/ui/search/actions/FindAction.java
	
2004-06-06 Bogdan Gheorghe
	Changed MouseClickListener to use Parser KeywordSets 
	* src/org/eclipse/cdt/internal/ui/editor/MouseClickListener.java
	
2004-06-06 Bogdan Gheorghe
	Fix for Bug 60629 
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchMessages.properties
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java
	* src/org/eclipse/cdt/internal/ui/search/LevelTreeContentProvider.java
	* src/org/eclipse/cdt/ui/CSearchResultLabelProvider.java
	
2004-06-03 Alain Magloire

	Fix for PR 60650
	* src/org/eclipse/cdt/ui/wizards/NewClassWizardPage.java

2004-06-03 Alain Magloire

	Fix for PR 64197 60906

	* src/org/eclipse/cdt/ui/dialogs/BinaryParserBlock.java

2004-06-03 Alain Magloire
	Again the problem:
	Eclipse filename association with editors is done strictly via
	the plugin.xml(and Preference Page).
	The CDT is ship with a sensible default i.e. *.c, *.h, *.cpp etc ..
	We use an hack in EditorUtility.getEditorID(...)
	To change this behaviour for the CView and the 
	COutliner.
	
	Added support for DoubleClick to open a header
	in the outliner.

	Related PRs: 64834, 44363

2004-06-03 Alain Magloire

	Patch from Sam Rob, fix for 64783
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/CFileTypesPropertyPage.java

2004-06-02 Bogdan Gheorghe
	
	Fix for Bug 61241 - [Search] Closing the Search view mid search causes an error
	* src/org/eclipse/cdt/internal/ui/search/CSearchTableContentProvider.java
	
2004-06-01 Alain Magloire

	Format the source Hovering better.
	* src/org/eclipse/cdt/internal/ui/text/c/hover/CSourceHover.java
	* src/org/eclipse/cdt/internal/ui/text/c/hover/SourceViewerInformationControl.java

2004-06-01 Alain Magloire

	A release of the CDT was distributed with
	a typ "ELF" instead of "Elf" we provide
	and extension point pointing back to "ELF"
	parser for backward comp.  But ignoring
	it in the UI.

	* src/org/eclipse/cdt/ui/dialogs/BinaryParserBlock.java

2004-06-01 Alain Magloire

	Fall back on the Nature of the project
	to decide of the syntax of the CEditor.

	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java

	NPE in the CSourceHover.

	* src/org/eclipse/cdt/internal/ui/text/c/hover/CSourceHover.java

2004-05-31 Alain Magloire

	Putting a good chunk of code(Taken from JDT)
	to do proper hovering.
	To many files to enumerate.

2004-05-31 Bogdan Gheorghe

	Added warning message to status line when C search page is invoked and not all
	projects in the workspace have indexing turned on.
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchPage.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchMessages.properties
	
2004-05-27 Alain Magloire

	Reverse part of a patch from TF concerning
	memory images. We need to look at this closer.
	For now it seem to break some icons.

	* src/org/eclipse/cdt/internal/ui/CPluginImages.java

2004-05-27 Alain Magloire

	Patch from Thomas Fletcher
	- Restore bracket matching behaviour in the editor and use parent
	class code for setting up the editor's OverviewRuler.

2004-05-26 Andrew Niefer
	Selection search: if searching on a function, use ASTUtil.getFunctionParameterTypes to create a
	search pattern to find functions with the same parameters.  Also, for AST nodes that have a 
	qualified name, use that to search.  (bug 63966)

2004-05-26 Alain Magloire

	CUIPlugin.startup() cleanup.  The method
	was trying to get the UI thread, not necessary.

2004-05-26 Alain Magloire

	Jumbo Patch from Chris Wiebe.
	Putting a starting skeleton for C Browsing.

2004-05-26 Alain Magloire

	PR 61965
	From Thomas Fletcher: 2.0 mainline scalability patch
	- Properly detach listeners and dispose of components to address
	resource and memory leaks from CEditor stress test (PR 61965)

2004-05-21 Andrew Niefer
	Indexer Problem reporting (bug 43014, 62979)
	 * plugin.xml
	 * plugin.properties
	 * src/org/eclipse/cdt/internal/ui/CUIMessages.properties
	 * src/org/eclipse/cdt/ui/dialogs/IndexerBlock.java
	 * src/org/eclipse/cdt/ui/dialogs/IndexerOptionDialogPage.java
	 * src/org/eclipse/cdt/ui/dialogs/IndexerOptionPropertyPage.java

2004-05-21 Alain Magloire

	$&#*$(^#&^$(^#
	Eclipse-3.0 change the way things are done
	for the preferences we have, for the CEditor
	merge the Preference settings: the CUIPlugin store
	and the Editor store since now the settings is
	on the TextEditor(see annotation).

2004-05-19 Alain Magloire

	Contribution from Sam Robb, for PR 52864.

2004-05-19 Alain Magloire

	Comply with Eclipse-3.0 and use the theme
	extension to change the CEditor text font.
	Move the CBuildConsole font in the same category.

2004-05-18 Bogdan Gheorghe
	Got rid of deprecated methods in CSearchResultPage and MouseClickListener.
	
2004-05-18 Alain Magloire

	Fix PR 61498
	Removing the Annotation Page from the CEditor preference.

2004-05-16 Bogdan Gheorghe 
	Added sorters to the search results
	
		* src/org/eclipse/cdt/internal/ui/search/CSearchMessages.properties
		* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java
		* src/org/eclipse/cdt/internal/ui/search/ElementNameSorter.java
		* src/org/eclipse/cdt/internal/ui/search/LevelTreeContentProvider.java
		* src/org/eclipse/cdt/internal/ui/search/ParentNameSorter.java
		* src/org/eclipse/cdt/internal/ui/search/PathNameSorter.java
		* src/org/eclipse/cdt/internal/ui/search/actions/GroupAction.java
		* src/org/eclipse/cdt/internal/ui/search/actions/SortAction.java
	
2004-05-14 Bogdan Gheorghe
	fix bug 48020, Duplicate Mnemonics in Search Dialog
	* src/org/eclipse/cdt/internal/ui/search/CSearchMessages.properties
	
2004-05-14 Andrew Niefer
	fix bug 62344, change completionOnTypeReference to lookup with empty prefix if
	we have a context.
	  * src/org/eclipse/cdt/internal/ui/text/contentassist/CompletionEngine.java

2004-05-13 Alain Magloire

	Fix for PR 62064
	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java
	* src/org/eclipse/cdt/internal/ui/util/ExternalEditorInput.java

2004-05-12 Bogdan Gheorghe

	Removed FileSearchAction, FileSearchActionInWorkingSet + related properties
	
	* src/org/eclipse/cdt/internal/ui/editor/FileSearchAction.java
	* src/org/eclipse/cdt/internal/ui/editor/FileSearchActionInWorkingSet.java
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewMessages.properties
	* src/org/eclipse/cdt/internal/ui/CPluginResources.properties
	
2004-05-11 Andrew Niefer
	- content assist bug 60298:
	 * src/org/eclipse/cdt/internal/ui/text/contentassist/CompletionEngine.java
	 * src/org/eclipse/cdt/ui/FunctionPrototypeSummary.java

2004-05-11 Alain Magloire

	Preliminary work to get Parser IProblem in the CEditor.

2004-05-10 Andrew Niefer
	- fixing bug 60493:
	  - created CSearchUtil.getSearchForFromElement and CSearchUtil.getSearchForFromNode
	  - modified FindAction to use working copies if editor is dirty
	  - modified FindAction to use CElement information if available instead of parsing.
	  
	  * src/org/eclipse/cdt/internal/ui/search/CSearchPage.java
	  * src/org/eclipse/cdt/internal/ui/search/CSearchUtil.jav
	  * src/org/eclipse/cdt/internal/ui/search/actions/FindAction.java

2004-05-07 Andrew Niefer
	- handle content assist for function references so that the function is not inserted if we are just getting signature
	  info for the popup
	- created CProposalContextInformation which implements IContextInformation and IContextInformationExtension
	  so that we can better place the context popup after content assist for functions
	  
	  * src/org/eclipse/cdt/internal/ui/text/contentassist/CProposalContextInformation.java
	  * src/org/eclipse/cdt/internal/ui/text/contentassist/ResultCollector.java
	  * src/org/eclipse/cdt/internal/ui/text/contentassist/ICompletionRequestor.java
	  * src/org/eclipse/cdt/internal/ui/text/contentassist/CompletionRequestorAdaptor.java
	  * src/org/eclipse/cdt/internal/ui/text/contentassist/CompletionEngine.java
	  * src/org/eclipse/cdt/internal/ui/text/contentassist/CCompletionProcessor.java

2004-05-05 Bogdan Gheorghe
	Moved the index enablement constants to IndexManager to allow the index manager
	to load enablement settings if not done so by the property page
	
	* src/org/eclipse/cdt/ui/dialogs/IndexerBlock.java
	* src/org/eclipse/cdt/ui/dialogs/IndexerOptionDialogPage.java
	* src/org/eclipse/cdt/ui/dialogs/IndexerOptionPropertyPage.java
	
	
2004-05-05 Bogdan Gheorghe
	Got rid of the old search context menus in CEditor, COutlineView, CView.
	
	
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinePage.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties
	* src/org/eclipse/cdt/internal/ui/search/CSearchMessages.properties
	* src/org/eclipse/cdt/internal/ui/search/actions/SelectionSearchGroup.java
	
2004-05-05 Andrew Niefer
	externalize "Libraries" string in LibraryRefContainer

2004-05-04 Hoda Amer
	Fix for bug#60331 : [Refactoring] All namespace declarations not renamed
	Fix for bug#59270 : [Refactoring] missing warning/error icons
	
2004-05-03 Alain Magloire

	Refactor the indexer block to be in the same
	place as the others.

2004-05-03 Bogdan Gheorghe
	Added indexer block property pages
	
2004-05-01 Alain Magloire

	Fix for PR 57620
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java

2004-04-30 Hoda Amer
	Partial fix for bug#60298 : [Content Assist] "No completions available" when using Content Assist during class definitions
	
2004-04-23 Alain Magloire

	Tentative fix for PR 59098.
	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewLabelProvider.java
	

2004-04-23 Hoda Amer
	Fix for bug#Bug 59618 : [Refactoring] Be able to append refactor action group after my own group
	
2004-04-23 Alain Magloire

	Adjusting the UI to changes of the core
	Concerning customization of translation Unit
	pathc from Sam PR 52864

	* browser/org/eclipse/cdt/ui/browser/typeinfo/TypeInfoLableProvider.java
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/internal/ui/edito/FileSearchAction.java

2004-04-23 Alain Magloire
	Possible NPE.
	* src/org/eclipse/cdt/internal/ui/editor/CDocumentProvider.java

2004-04-23 Hoda Amer
	Fix for bug#59631 : Macros do not appear in the completion list when no prefix is provided
	Fix for bug#59686 : [Content Assist] Class references are not completing
	
2004-04-22 Sean Evoy
	This is the first part of the patch supplied by Leo at Intel 
	to add error parsers to a managed build project, and to manipulate 
	the list of error parsers that apply to a project.
	
2004-04-22 Hoda Amer
	Backing out previous changes regarding new JFace interfaces.
	
2004-04-22 Alain Magloire

	Fix for PR 59534
	* src/org/eclipse/cdt/internal/ui/editor/CDocumentProvider.java

2004-04-22 Hoda Amer
	Fixing build errors after integrating with the Eclipse nightly build on April 22nd.
	Some JFace interfaces has changed.
	
2004-04-21 Hoda Amer
	Fix for bug#52823 : Content Assist: No completions available inside an empty document.
	
2004-04-21 Bogdan Gheorghe
	Fixed external markers not working with new Search UI problem. 
	
2004-04-21 Alain Magloire
	Disable the PathEntry property page.

 	* plugin.xml

2004-04-21 Hoda Amer
	Fix for bug#58703 :[Content Assist] An extra [^SPC] is required after appending to a prefix
	Fix for bug#58708 :[Content Assist] Invalid proposals on nested classes
	Fix for bug#58858 :[Content Assist] No completion when declaring a struct variable
	
2004-04-06 Chris Wiebe
	initial placement of non-ui code into org.eclipse.cdt.core.browser

2004-04-20 Bogdan Gheorghe
	Added clear() to CSearchResultPage to solve refresh problem on Linux.
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java
	
2004-04-20 Alain Magloire

	In Eclipse-3.0 things changes to set partition scanner
	on the Document Provider, it is now an extension point.
	Implement "documentCreation" and "documentSetup" extension points.

	* plugin.xml
	* plugin.properties
	* src/org/eclipse/cdt/internal/ui/editor/CDocumentFactory.java
	* src/org/eclipse/cdt/internal/ui/editor/CDocumentSetupParticipant.java
	* src/org/eclipse/cdt/internal/ui/editor/PartiallySynchronizedDocument.java
	
2004-04-20 David Inglis

	Work in progress CPath UI changes

	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPListElement.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathBasePage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathEntryMessages.properties
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeEntryPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathSymbolEntryPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/ExtendedCPathBasePage.java	

2004-04-20 Alain Magloire
	Fix NPE in CDocumentProvider
	* src/org/eclipse/cdt/internalu/ui/editor/CDocumentProvider.java
	
2004-04-20 David Inglis

	More of the model throws CModeLException. 
	
	* refactor/org/eclipse/cdt/internal/corext/refactoring/rename/RenameElementProcessor.java
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/internal/ui/search/CElementLabels.java
	* src/org/eclipse/cdt/internal/ui/viewsupport/MemberFilter.java
	* src/org/eclipse/cdt/ui/CElementContentProvider.java
	* src/org/eclipse/cdt/ui/CElementLabelProvider.java

2004-04-20 Alain Magloire

	Fix for PR 59081

	* src/org/eclipse/cdt/internal/ui/editor/CDocumentProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/DocumentAdapter.java
	
2004-04-20 David Inglis

	Enable wraping for build console
	
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsoleViewer.java
	
2004-04-19 Bogdan Gheorghe
	Fix for 58477 - Search UI does not work
	Fix for 59077 - Selection Search does not work
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchContentProvider.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchPage.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchQuery.java
    * src/org/eclipse/cdt/internal/ui/search/CSearchResultCollector.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultPage.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchTableContentProvider.java
	* src/org/eclipse/cdt/internal/ui/search/LevelTreeContentProvider.java
	* src/org/eclipse/cdt/internal/ui/search/NewSearchResultCollector.java
	* src/org/eclipse/cdt/internal/ui/search/FindAction.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultLabelProvider.java
	
2004-04-19 Alain Magloire

	The Core Model interfaces now is throwing CModelException
	we have to catch them and take appropriate actions.

	* refactor/org/eclipse/cdt/internal/corext/refactorin/rename/RenameElementProcessor.java
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CWorkbenchAdapter.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathProjectsEntryPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/ExtendedCPathBasePage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/IncludesSymbolsTabBlock.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchResult.java
	* src/org/eclipse/cdt/ui/wizards/NewClasWizardPage.java

2004-04-18 Alain Magloire

	First part to move to Eclipse-3.0 new DocumentProvider scheme
	for the CEditor.  Changes were made to the IBufferFactory, it
	is now one class CustomBufferFactory in CUIPlugin.getBufferFactory()

	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutlinerPage.java
	* src/org/eclipse/cdt/internal/ui/editor/CDocumentProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CStorageDocumentProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CustomBufferFactory.java
	* src/org/eclipse/cdt/internal/ui/editor/DocumenAdapter.java
	* src/org/eclipse/cdt/internal/ui/editor/ITranslationUnitEditorInput.java
	* src/org/eclipse/cdt/internal/ui/editor/OpenIncludeAction.java
	* src/org/eclipse/cdt/internal/ui/editor/WorkingCopyManager.java

	* src/org/eclipse/cdt/internal/ui/text/CTextTools.java

	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java
	* src/org/eclipse/cdt/internal/ui/util/ExternalEditorInput.java

	* src/org/eclipse/cdt/ui/CUIPlugin.java

	* src/org/eclipse/cdt/ui/wizards/NewClassWizardPage.java

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CFileElementWorkingCopy.java

	* src/org/eclipse/cdt/internal/ui/codemanipulation/AddIncludeOperation.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/IncludRefContainer.java
	
2004-04-16 Hoda Amer
	Fix for bug#44364 : [Content Assist] case sensitivity option
	Fix for bug#53446 : [New Class Wizard] Be able to configure new class wizard to not open source
	
2004-04-16 David Inglis

	Work in Progress - CPath ui stuff
	
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/AbstractPathOptionBlock.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPListElement.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPListLabelProvider.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathContainerDescriptor.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathContainerSelectionPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathEntryMessages.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathEntryMessages.properties
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeEntryPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathSymbolEntryPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/ExtendedCPathBasePage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPListElementFilter.java

2004-04-16 Andrew Niefer
	modify CompletionEngine.completionOnFunctionReference for bug 50807

2004-04-16 Hoda Amer
	Fix for bug#44370 : [Content Assist] function-style macros have arguments
	
2004-04-16 David Inglis
	
	Register our adapter factory though new extension point

	* plugin.xml
	
2004-04-16 David Inglis

	Update properties page binary catagory name.
	
	* src/org/eclipse/cdt/internal/ui/BinaryPropertySource.java
	* src/org/eclipse/cdt/internal/ui/CUIMessages.properties
	* src/org/eclipse/cdt/internal/ui/ICElementPropertyConstants.java

	Fixed cview to not show bin containers when empty
	
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java

2004-04-16 Hoda Amer
	Fix for bug#58563 : [RenameRefactoring] renaming #include statements
	Fix for bug#55764 : [Content Assist] trigger needs more then one character per trigger
	
2004-04-15 Alain Magloire

	Added Properties for the Binaries.
	* src/org/eclipse/cdt/internal/ui/BinaryProjectSource.java
	* src/org/eclipse/cdt/internal/ui/CElementAdapterFactory.java
	* src/org/eclipse/cdt/internla/ui/CElementPropertySource.java

	removed unused files
	* src/org/eclipse/cdt/internal/ui/CElementProperties.java

2004-04-15 Hoda Amer
	Fix for bug#58566 : [Refactoring] renaming #define statements 
	Fix for bug#58335 : [Content Assist] Class forward declarations not reported 
	
2004-05-15 David Inglis

	Work in Progress - start of new C Path Container Wizard
	
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/AbstractPathOptionBlock.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathEntryMessages.properties
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/CPathIncludeEntryPage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/ExtendedCPathBasePage.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/MultipleFolderSelectionDialog.java
	* src/org/eclipse/cdt/internal/ui/dialogs/cpaths/NewSourceFolderDialog.java
	* src/org/eclipse/cdt/internal/ui/wizards/NewWizardMessages.properties
	* icons/full/wizban/addpath_wiz.gif

2004-04-15 David Inglis

	simple refactor
	
	- refactor/org/eclipse/cdt/internal/ui/refactoring/ListContentProvider.java
	* refactor/org/eclipse/cdt/internal/ui/refactoring/RefactoringSaveHelper.java
	+ src/org/eclipse/cdt/internal/ui/viewsupport/ListContentProvider.java

2004-04-15 Chris Wiebe

	Make some helper functions static for ease of use ...
	and to get rid of some annoying warnings.

	* src/org/eclipse/cdt/ui/CUIPlugin.java

2004-04-15 Mikhail Khodjaiants
	Removed dependencies to 'org.eclipse.debug.core' and 'org.eclipse.debug.ui'.
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/editor/CMarkerAnnotation.java

2004-04-15 John Camelon
	Partial fix for https://bugs.eclipse.org/bugs/show_bug.cgi?id=57928

2004-04-14 Alain Magloire

	Remove the contribution for header doing this will force
	all C files to have the header icon. Added icon for assembly files.

	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* plugin.xml

2004-04-14 Andrew Niefer
	updated src/org/eclipse/cdt/internal/ui/compare/SourceElementRequestorAdapter with acceptFriendDeclaration

2004-04-14 Alain Magloire

	Fix PR 58375
	New icons.
	
	* icons/full/clc16/cllapseall.gif
	* icons/full/dlc16/cllapseall.gif
	* icons/full/elc16/cllapseall.gif

2004-04-14 Hoda Amer
	Partial fix for bug#58178 : [Content Assist] No completion on GL_TRUE
	
2004-04-13 Hoda Amer
	Fix for bug#57804: [Refactoring] Constructor and Destructor are not refactored when class is defined inside a namespace
	
2004-04-13 Hoda Amer
	From Chris Wiebe
	This patch makes sure the class wizard works as long as the selection 
	supports IAdaptable. It also prevents the class wizard from attempting 
	to generate new source files without a valid source path.

2004-04-13 Andrew Niefer
	fix src/org/eclipse/cdt/internal/corext/template/default-templates.xml to restore changes lost in
	string externalization (restore for loops to use preincrement) 

2004-04-12 Bogdan Gheorghe
	Added Indexer Timeout field to Work In Progress Preference page
	
	* src/org/eclipse/cdt/internal/ui/preferences/WorkInProgressPreferencePage.java
	
2004-04-12 Hoda Amer
	Fix for bug#57692 : [Content Assist] CompletionEngine::completionOnSingleNameReference() behaviour incorrect

2004-04-12 Alain Magloire
	This patch changes the default filter so an empty string does not show
	any matches. The reason for this is to speed up performance when a lot
	of types are initially visible. Note this makes the behaviour consistent
	with the JDT Open Type.

	* browser/org/eclipse/cdt/internal/ui/browser/opentype//OpentTypeDialog.java
	* browser/org/eclipse/cdt/ui/browser/typeinfo/TypeSelectionDialog.java

2004-04-12 Bogdan Gheorghe
	Added Enumerator, Derived types to search dialog
	
2004-04-12 Hoda Amer
	From Chris Wiebe
	This patch updates the class wizard to use the type cache & type
	selection dialog when choosing a base class.
	It also fixes the base class inclusion problem and 
	ensures the working copies are destroyed once committed [57968].
		
2004-04-11 John Camelon
	Updated CompletionEngine to use shared working copies when parsing include files.
	Updated clients for ISourceElementRequestor.createReader() updates.

2004-04-07 John Camelon
	Updated CompletionEngine to use the extended IASTCompletionNode interface for FUNCTION_REFERENCE.

2004-04-07 David Inglis
	
	Begining of new Include/Symbols UI pages.
	
	* src/org/eclipse/cdt/internal/dialogs/cpaths/*.java
	
	Changes here due to refactor
	
	* src/org/eclipse/cdt/internal/ui/preferences/
	
2004-04-05 Alain Magloire
	From Chris Wiebe
	This patch cleans up the layout of the checkboxes on the Open Type dialog.
 
	* browser/org/eclipse/cdt/ui/browser/typeinfo/TypeSelectionDialog.java

2004-04-06 Alain Magloire

	This patch provides some improvements to the Open Type action, such as
	per-file type caching (much faster now) and extra filtering options in
	the dialog.  The non-ui code has also been isolated and moved to
	org.eclipse.cdt.core.browser.

	* browser/*

2004-04-06 Alain Magloire

	Reorder the sorter.

	* src/org/eclipse/cdt/ui/CElementSorter.java

2004-04-06 John Camelon
	Fix for https://bugs.eclipse.org/bugs/show_bug.cgi?id=51993

2004-04-06 Alain Magloire

	Bug fixes and support for external headers.

	* src/org/eclipse/cdt/internal/ui/BaseCElmentContentProvider.java
	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java

2004-04-05 Alain Magloire

	Changing the sequence when we shutdown, this will
	help in PR #57128
	In BaseCElementContentProvider do not call 
	BinaryContainer.getBinaries() directly it is a blocking
	operation.

	* src/org/eclipse/cdt/ui/CUIPlugin.java
	* browser/org/eclipse/cdt/ui/browser/typeinfo/AllTypesCache.java
	* src/org/eclipse/cdt/internal/ui/BaseCElementCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java

2004-04-05 Hoda Amer
	Fix for bug#44378 : Content Assist: easy keyboard exit of argument-providing mode
	Fix for bug#56614 : [Content Assist] Global variables do not appear in a global completion list.
	Fix for bug#56634 : Renaming a fcn in class A renames same named function of other classes
	Fix for bug#56646 : Did not get warning when renaming a virtual function 
	
2004-04-03 Alain Magloire

	Draft support for LibraryReference and IncludeReference
	CView has its own ContentProvider.
	WORK IN PROGRESS

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/IncludeRefContainer.java
	* src/org/eclipse/cdt/internal/ui/cview/LibraryRefContainer.java
	* src/org/eclipse/cdt/internal/ui/dialogs/CPListElement.java
	* src/org/eclipse/cdt/internal/ui/dialogs/CPListElementSorter.java
	* src/org/eclipse/cdt/ui/CElementContentProvider.java

2004-04-04 John Camelon
	Fix https://bugs.eclipse.org/bugs/show_bug.cgi?id=43215

2004-04-02 David Inglis

	Support selection of multiple binary parsers.
	
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/CUIMessages.properties
	* src/org/eclipse/cdt/ui/dialogs/AbstractBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/AbstractCOptionPage.java
	* src/org/eclipse/cdt/ui/dialogs/BinaryParserBlock.java
	* src/org/eclipse/cdt/ui/dialogs/CygwinPEBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/GNUElfBinaryParserPage.java

2004-04-02 Alain Magloire

	Add new filter to hide/show non C Projects.

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/filters/NonCProjectsFilter.java
	* plugin.properties
	* plugin.xml

2004-04-01 Alain Magloire

	New set of icons to experiment, from Chris.
	On April first .... ???

	* icons/full/obj16/bin_obj.gif
	* icons/full/obj16/cfolder_obj.gif
	* icons/full/obj16/container_obj.gif
	* icons/full/obj16/output_folder_obj.gif
	* icons/full/obj16/output_obj.gif

	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/ui/CSearchResultLableProvider.java

2004-03-31 David Inglis

	removed org.apache.xerces dependency
	
	* src/org/eclipse/cdt/internal/corext/template/TemplateSet.java
	
2004-03-31 David Daoust
	Changed the default value for the preference "LinkToEditor" to be 
	off -- the same as in the JDT.
	* src/org/eclipse/cdt/internal/ui/preferences/CPluginPreferencePage.java

2004-03-31 Bogdan Gheorghe
	Fixed the overview annotations in the Overview bar in the CEditor
	Modified the CEditorPreferencePage to add the Index Marker annotation
	Created a new Preference Page to contain the options for placing markers
	on external files
	Modified CSearchResultCollector to use external marker search prefs
	
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/preferences/WorkInProgressPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchPage.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultCollector.java
	* plugin.xml
	
2004-03-30 Bogdan Gheorghe
	
	Modified the AnnotationModel to solve all annotation refresh problems.
	
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CMarkerAnnotationModel.java
	
	
2004-03-30 Alain Magloire

	New set of icons from Chris Wiebe.

	* icons/full/obj16/enum_obj.gif
	* icons/full/obj16/namespace_obj.gif
	* icons/full/obj16/struct_obj.gif
	* icons/full/obj16/union_obj.gif
	* icons/full/obj16/typedef_obj.gif

	* browser/org/eclipse/cdt/ui/browser/TypeInfoLabelProvider.java

2004-03-30 Alain Magloire

	Fix in the CView was not refreshing.
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java

2004-03-30 Alain Magloire

	Change the icons of the Namespace, folks found it
	confusing to reuse the same icons as the Java package.

	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/compare/CParserTreeBuilder.java

	* icons/full/obj16/namesapce_obj.gif

2004-03-30 Alain Magloire

	Fix PR 56734

	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsolePage.java
	* src/org/eclipse/cdt/internal/ui/ErrorTickAdornmentProvider.java
	* puglin.xml

2004-03-30 Alain Magloire

	Show the import/export menu even when no selection.
	PR 56650
	* src/org/eclipse/cdt/internal/cview/MainActiongroup.java

2004-03-30 Alain Magloire

	Change the filter implementation of the CView to match
	the PackageExplorer functionnality.

	* src/org/eclipse/cdt/internal/ui/filters/ArchiveFilter.java
	* src/org/eclipse/cdt/internal/ui/filters/ExecutableFilter.java
	* src/org/eclipse/cdt/internal/ui/filters/SharedFilter.java
	* src/org/eclipse/cdt/internal/ui/filters/ObjectFilter.java
	* src/org/eclipse/cdt/internal/ui/filters/NamePatternFilter.java
	* src/org/eclipse/cdt/internal/ui/filters/FilterDescriptor.java
	* src/org/eclipse/cdt/internal/ui/filters/CustomFiltersDialog.java

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/uiICHelpContextIds.java

	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java

	* src/org/eclipse/cdt/ui/actions/CustomFilterActionGroup.java

	Removed Files.
	* src/org/eclipse/cdt/internal/ui/cview/CElementFilters.java
	* src/org/eclipse/cdt/internal/ui/cview/CLibFilter.java
	* src/org/eclipse/cdt/internal/ui/cview/FilterContentProvider.java
	* src/org/eclipse/cdt/internal/ui/cview/ShowLibrariesAction.java

2004-03-29 Alain Magloire

	Put the Problem view as the default instead of Task view.

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvier.java
	* src/org/eclipse/cdt/internal/ui/CPerspectiveFactory.java
	* src/org/eclipse/cdt/internal/ui/CWorkbenchAdapter.java
	* src/org/eclipse/cdt/internal/ui;/ErrorTickAdornmentProvider.java

2004-03-28 Bogdan Gheorghe
	Modified CSearchPage to use new CSearchQuery (which uses the new background 
	jobs API)
	
	Modified CSearchResultCollector to use CSearchQuery if present (ie. if invoked 
	from the CSearchPage)
	
	* src/org/eclipse/cdt/internal/ui/search/CSearchResultCollector.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchPage.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchResult.java
	* src/org/eclipse/cdt/internal/ui/search/CSearchQuery.java
	
2004-03-28 Alain Magloire

	Provide a global hook for the action "Show Selected element"

	* src/org/eclipse/cdt/internal/ui/editor/CEditorActionContributor.java

2004-03-26 Alain Magloire

	Keep the order of the sourceroots when sorting the CElements.
	* src/org/eclipse/cdt/ui/CElementSorter.java

2004-03-26 David Inglis

	WORKING PROGRESS new C Path entry UI - Project property page to add/remove/reorder
	src paths, output paths, project references and export/order.
	UI not enabled yet
	no many file to list here.....
	
	
2004-03-25 Hoda Amer
	Added the timeout capability for content assist.
	Added a preference for the user to set up the timeout limit for content assist
	
2004-03-24 Bogdan Gheorghe
	
	Modified CSearchResultCollector to create markers on external matches.
	Modified RenameRefactoringAction to get the openInclude working again (changes approved by Hoda).
	Updated TypeSearchResultCollector to reflect changes made to BasicSearchResultCollector.

	* src/org/eclipse/cdt/internal/ui/search/CSearchResultCollector.java
	* refactor/org/eclipse/cdt/internal/ui/refactoring/actions/RenameRefactoringACtion.java
	* browser/org/eclipse/cdt/ui/browser/typeinfo/AllTypesCache.java
	
2004-03-23 Alain Magloire

	Show the objects on the IOuputEntry path should
	be save in the BinaryContainer.

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclpse/cdt/ui/CElementContentProvider.java

2004-03-23 Hoda Amer
	Fix for bug#51303 Content Assist: Completion list remains open after a space is added to a prefix
	Fix for bug#53066 Content Assist: Information displayed after completion on Macro function is not legible.
	Fix for bug#52858 Content Assist: Relevance sorting mixes ordering of structs and classes
	 
2004-03-21 Tanya Wolff

	Externalized stray strings.
	* src/org/eclipse/cdt/internal/corext/template/default-templates.xml
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/CEditorPreferencePage.java
	* src/org/eclipse/cdt/internal/ui/editor/PreferencesMessages.properties
	
2004-03-21 Alain Magloire

	Show the binaries in the CView even if the parent
	is a resource, this happen for IBinary/IArchive on 
	the IOutputEntry path.
	
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/ui/CElementSorter.java

2004-03-19 David Inglis
	Update changing binary parser to use cdescriptor operation and remove call to deprecated call
	Added check before changes to prevent uneccessary changes of the .cdtproject file.
	* src/org/eclipse/cdt/ui/dialogs/BinaryParserBlock.java
	* src/org/eclipse/cdt/ui/dialogs/CygwinPEBinaryParserPage.java
	* src/org/eclipse/cdt/ui/dialogs/GNUElfBinaryParserPage.java

2004-03-19 Hoda Amer
	Fix for bug#54325 Refactor: Check for name collision
	
2004-03-18 Alain Magloire
	New icons
	* icons/full/obj16/cfolder_obj.gif
	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java

2004-03-18 Tanya Wolff
	Externalized template descriptions,
	Externalized name in plugin.xml,
	Fixed missing resource "Link With Editor".
	* src/org/eclipse/cdt/internal/corext/template/default-templates.xml
	* plugin.xml
	* plugin.properties
	* src/org/eclipse/cdt/internal/ui/cview/CViewMessages.properties
	
2004-03-18 Alain Magloire
	Change in the hierarchy of the core Model:
	ICModel
	   ICProject
	      ISourceRoot
	         IBinary
	         IArchive
	         ITranslatioUnit
	         ICContainer
	The ISourceRoot been added to better separate
	the files.  By default the entire project is the
	SourceRoot.

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/ui/CElementContentProvider.java
	
2004-03-17 Tanya Wolff
	Syntax errors in property files
	* CBrowsingMessages.properties
	* TypeHierarchyMessages.properties
	* refactoring.properties
	
2004-03-16 Tanya Wolff
	Externalized strings and marked non-translatable ones.

2004-03-16 Andrew Niefer
	property files for class browser and type hierarchy

2004-03-16 Hoda Amer
	Fix for bug#54324 Refactor: Invoke rename refactoring from editor
	
2004-03-16 Tanya Wolff
	Externalized strings and marked non-translatable ones.

2004-03-15 Hoda Amer
	Fix for [Bug 54323] Refactor: Menu item from outline view
	
2004-03-15 Alain Magloire

	The (Re)Build action were always disable.

	* src/org/eclipse/cdt/internal/ui/cview/BuildGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/CView.java

2004-03-15 Andrew Niefer
	updated internal.ui.compare.SourceElementRequestorAdapter with acceptTemplateParameterReference

2004-03-12 David Inglis

	Implemented new build console using the Eclipse 3 generic console, supporting multiple 
	streams with colorizing.
	
	* plugin.properties
	* plugin.xml
	
	moved to src/org/eclipse/cdt/internal/ui/buildconsole
	
	* src/org/eclipse/cdt/internal/ui/BuildConsole.java
	* src/org/eclipse/cdt/internal/ui/BuildConsoleManager.java

	removed 
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsoleAction.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsoleView.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/ClearConsoleAction.java

	modified
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java
	* src/org/eclipse/cdt/internal/ui/CPluginResources.properties
	* src/org/eclipse/cdt/internal/ui/preferences/BuildConsolePreferencePage.java
	* src/org/eclipse/cdt/ui/CUIPlugin.java
	* src/org/eclipse/cdt/ui/IBuildConsoleManager.java

	new
	* src/org/eclipse/cdt/ui/IBuildConsole.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsole.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsoleDocument.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsoleManager.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsolePage.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsolePartition.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsolePartitioner.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsoleStream.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/BuildConsoleViewer.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/CBuildConsole.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/ConsoleMessages.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/ConsoleMessages.properties
	* src/org/eclipse/cdt/internal/ui/buildconsole/ConsoleOutputTextStore.java
	* src/org/eclipse/cdt/internal/ui/buildconsole/ScrollLockAction.java

2004-03-11 Hoda Amer
	Added the undo manager for the renaming refactor.
	
2004-03-11 John Camelon
	Updated content assist to not clear() the Scanner's definition map. 

2004-03-09 Alain Magloire

	Added the source folder refactor in the build

	* build.properties

2004-03-09 Hoda Amer
	A new UI tool for renaming model elements. 
	Mainly under the ui/refactor folder.
	This tool relies on search in finding all occurrences 
	of a specific model element.
	and changes the found occurrences in the code to a new name. 
	It could be invoked by a menu item in the C/C++ Packages view. 

2004-03-09 Hoda Amer
	Fix for bug#52188: Content Assist: Disabling the '.' (dot) and '->' triggers has no effect.
	
2004-03-08 Hoda Amer
	Partial fix for bug#52948 : Content Assist: typedef-ed types do not appear in the completion list.

2004-03-08 Bogdan Gheorghe
	
	Minor refactoring to Chris Wiebe's jumbo patch - modified TypeSearchResultCollector.createMatch 
	in AllTypesCache
	
	* browser/org/eclipse/cdt/ui/browser/typeinfo/AllTypesCache.java
	
2004-03-08 Alain Magloire

	Jumbo patch from Chris Wiebe.  Moving the relevant
	typehierarchy/browsing to a specfic src/browser to reduce
	collitions

	* .classpath
	* plugin.xml
	* browser

2004-03-08 Bogdan Gheorghe
	
	Refactored the hyperlink-enabling MouseListener class out of CEditor.
	Fixed Outline view not refreshing bug - reverted to an earlier version of
	WorkingCopyManager.
	Modified CPPCodeScanner to return the entire list of keywords for use with
	the MouseListener hyperlink class.
	
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/MouseClickListener.java
	* src/org/eclipse/cdt/internal/ui/editor/WorkingCopyManager.java
	* src/org/eclipse/cdt/internal/ui/opentype/TypeSearchResultCollector.java
	* src/org/eclipse/cdt/internal/ui/text/CPPCodeScanner.java
	
	
2004-03-07 Alain Magloire

	Fix the point size of the icon in the CElementLabelProvider.
	There were too big.

	* src/org/eclipse/cdt/ui/CElementLabelProvider.java

2004-03-05 Alain Magloire

	New icons.
	* icons/full/{c,d,e}lcl16/refresh_nav.gif
	* icons/full/{c,d,e}lcl16/synced.gif

2004-03-05 Alain Magloire

	Support for ToggleEditor link action.
	This action was only in the preference page.
	Now it is also in the toolbar.  It permits the CView
	to track the CEdito selection.

	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewAction.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/ToggleLinkingAction.java
	* src/org/eclipse/cdt/internal/ui/preferences/CPluginPreferencePage.java

	
2004-03-04 Bogdan Gheorghe
	Added Hyperlinks to CEditor
	Added Navigation preference page for CEditor
	Modified OpenDeclarationAction to use the selection search mode of the
	parser (using the old search as a backup until selection search improves)
	
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/preferences/CEditorPreferncePage.java
	* src/org/eclipse/cdt/internal/ui/search/actions/OpenDeclarationsAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindAction.java
	
2004-03-04 David Inglis

	Fixed https://bugs.eclipse.org/bugs/show_bug.cgi?id=53674
	
	* src/org/eclipse/cdt/ui/dialogs/CygwinPEBinaryParserPage.java
	
2004-03-03 Alain Magloire

	Fix to the CView.  It was opening the file twice.
	This would show when opening a binary.

	* src/org/eclipse/cdt/internal/cview/CView.java
	* src/org/eclipse/cdt/internal/cview/OpenFileGroup.java

2004-03-03 Hoda Amer
	Added a couple of APIs to CUIPlugin + some cleanup
	
2004-03-03 John Camelon
	Cleaned up usage of Enum.getValue() wrt encapsulation of enumerator value.  

2004-03-02 Tanya Wolff

	Fixed missing key for Working Set name and content on 
	new C/C++ Working set dialog. Also added error handling for when 
	properties files are not found. 
	
	All *Messages.java files are affected by the error handling.
	
	The fix for working set is in:
	
	* src/org/eclipse/cdt/internal/ui/workingsets/CElementWorkingSetPage.java


2004-03-02 Alain Magloire

	From Dave Daoust:
	A patch that reduces the number of times that files are parsed (by 1).

	* src/org/eclipse/cdt/internal/ui/ErrorTickAdornmentProvider.java                                                                                                                 

2004-03-01 Hoda Amer
	Removing WorkingCopyManager.getWorkingCop(ITranslationUnit)
	Users should call ITranslationUnit.getSharedWorkingCopy instead.
	  
2004-02-28 Alain Magloire

	PR 51757

	* src/org/eclipse/cdt/internal/ui/cview/PasteAction.java

2004-02-28 Alain Magloire

	Provide an implementation of CView.selectReveal().
	The problem was that ITranslationUnit != IWorkingCopy

	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewElementComparer.java
	* src/org/eclipse/cdt/ui/actions/ShowInCViewAction.java

2004-02-28 Alain Magloire

	Fixing a NPE.
	java.lang.NullPointerException
        at org.eclipse.cdt.internal.core.model.Parent.getChildren(Parent.java:47)
        at org.eclipse.cdt.internal.ui.BaseCElementContentProvider.getChildren(BaseCElementContentProvider.java:139)
        at org.eclipse.jface.viewers.AbstractTreeViewer.getRawChildren(AbstractTreeViewer.java:729)

	* src/org/eclipse/cdt/internal/ui/BaseCElementContentProvider.java
	
2004-02-27 Hoda Amer
	Fixed [Bug 53074] The CView to update with each reconcile
	Added the ability for CView to update based on the translation unit working copy
	if one exists.
	
2004-02-26 Andrew Niefer
	externalized strings for all packages

2004-02-26 Alain Magloire

	New icons from Chris Wiebe.

	* icons/full/obj16/c_resource_obj.gif
	* icons/full/obj16/cfolder_obj.gif
	* icons/full/obj16/s_file.obj.gif
	* icons/full/ovr16/c_ovr.gif.gif
	* src/org/eclipse/cdt/internal/ui/CPluginImages.java

2004-02-25 Bogdan Gheorghe
	First go at Selection Search facility. Added Selection Search menus to
	the CView, the CEditor and the COutlineView.
	
	New:
	* src/org/eclipse/cdt/internal/ui/search/actions/DeclarationsSearchGroup.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindDeclarationsAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindRefsAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindRefsInWorkingSetAction.java
	* src/org/eclipse/cdt/internal/ui/search/actions/ReferencesSearchGroup.java
	* src/org/eclipse/cdt/internal/ui/search/actions/SelctionSearchGroup.java
	* src/org/eclipse/cdt/internal/ui/search/actions/FindDeclarationsInWorkingSetAction.java
	
	Modified:
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/editor/CContentOutline.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	
	
2004-02-25 John Camelon
	Updates for new ISourceElementRequestor interface updates.  

2004-02-24 Alain Magloire

	New constructor for ShowInCView.

	* src/org/eclipse/cdt/ui/actions/ShowInCView.java

2004-02-20 Alain Magloire

	Fix for PR 52618
	Added the global action handlers for the Property Dialog.

	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java

2003-02-20 Andrew Niefer
	bug 52567
	change the extension IDs for the C Search sorters to avoid conflict with the JDT
	check for nulls in PathNameSorter.compare 

2004-02-18 Alain Magloire

	Remove deprecated Eclipse-2.0 api calls

	* src/org/eclipse/cdt/internal/ui/CElementImageProvider.java
	* src/org/eclipsecdt/internal/ui/editor/WorkingCopyManager.java

2004-02-13 Andrew Niefer
	Updated calls to search to handle InterruptedException

2004-02-16 Alain Magloire

	Use ITextEditor instead of CEditor.
	* src/org/eclipse/cdt/ui/actions/ShowInCViewAction.java

2004-02-15 Alain Magloire

	Special working set for the C/C++ Celements
	new pakage.

	* src/org/eclipse/cdt/internal/ui/workingsets
	* src/org/eclipse/cdt/internal/ui/workingsets/CElementWorkingSetPage.java
	* src/org/eclipse/cdt/internal/ui/workingsets/CElementWorkingSetPageContentProvider.java
	* src/org/eclipse/cdt/internal/ui/workingsets/WorkingSetMessages.java
	* src/org/eclipse/cdt/internal/ui/workingsets/WorkingSetMessages.properties
	
2004-02-15 Alain Magloire

	Reorganize the action of the CView and distribute them
	in different action group.

	New files:
	* src/org/eclipse/cdt/internal/ui/cview/Buildgroup.java
	* src/org/eclipse/cdt/internal/ui/cview/OpenFileGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/OpenProjectGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/SelectionConverter.java
	* src/org/eclipse/cdt/internal/ui/cview/GotoActionGroup.java

2004-02-12 John Camelon
	Updated Content Assist feature to not use IASTCompletionKind.SCOPED_REFERENCE

2004-02-11 Alain Magloire

	* src/org/eclipse/cdt/internal/ui/cview/CView.java
	Register the part listener.

2004-02-11 Alain Magloire

	Reorganize the CView to better deal with the menu actions.

	* src/org/eclipse/cdt/internal/ui/cview/CopyAction.java
	* src/org/eclipse/cdt/internal/ui/cview/PasteAction.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewMoveAction.java
	* src/org/eclipse/cdt/internal/ui/cview/CViewRenameAction.java
	* src/org/eclipse/cdt/internal/ui/cview/MainActionGroup.java
	* src/org/eclipse/cdt/internal/ui/cview/RefactorActionGroup.java
	
2004-02-10 Hoda Amer
	Content Assist Preference : Reduced search options to two choices:
	Current file (plus its included files) + Current project (plus its included paths)
	
2004-02-10 Alain Magloire

	Fix to PR 50794
	Rename The CViewSorter to CElementSorter, it is more consistent
	with eclipse i.e. JavaElementSorter, ResourceSorter ....
	Also make it accessible.

	* src/prg/eclipse/cdt/ui/CElementSorter.java

2004-02-06 Hoda Amer
	- Patch for Keith Campbell: Default template file change ( for statement )
	- Patch for Chris Wiebe: Better header file icon
	
2004-02-05 Alain Magloire

	Patch from Chris Wiebe
	Catch the Cancel exception.

	* src/org/eclipse/cdt/internal/ui/opentype/TypeSearchOperation.java

2004-02-05 Alain Magloire
	PR 51221
	Reformat Patch from Bogdan base on Thomas Fletcher original patch
	In a nutshell, it moves the search operation into a runnable which
	can be passed to a progress dialog.

	* src/org/eclipse/cdt/internal/ui/editor/OpenDeclarationsAction.java

2004-02-05 Hoda Amer
	Small prefrence page fix
	
2004-02-05 Alain Magloire

	From Chris Wiebe:
	This patch fixes a problem in the OpenType dialog where it did not show
	types defined in #includes outside the workspace.  If a CElement does
	not exist for a given type, it tries to open an editor at the file and
	line where the match was found.

	* src/org/eclipse/cdt/internal/ui/opentype/OpenTypeAction.java
	* src/org/eclipse/cdt/internal/ui/opentype/TypeSearchMatch.java
	* src/org/eclipse/cdt/internal/ui/opentype/TypeSearchMatchLabelProvider.java
	* src/org/eclpise/cdt/internal/ui/opentype/dialogs/OpenTypeSelectionDialog.java
	* src/org/eclpise/cdt/internal/ui/opentype/dialogs/TypeSelectionDialog.java

2004-02-03 Alain Magloire
	PR 51121
	From Chris Wiebe:
	This patch prevents a null pointer exception in
	org.eclipse.jface.text.reconciler.AbstractReconciler.  Under certain
	conditions (like rapidly closing all editors) the call to getDocument()
	inside initialProcess() can return null which causes an exception.
	
	* src/org/eclipse/cdt/internal/ui/text/CSourceViewerConfiguration.java

2004-02-03 Alain Magloire

	PR 51115
	Patch from Thomas Fletcher to cache the include queries.

	- Only enable the Add Include action when there are actually includes
 	  to add in to the the file.

	* src/org/eclipse/cdt/internal/ui/editor/AddIncludeOnSelectionAction.java

2004-02-02 Alain Magloire

	Dealing with PR 50792, give more flexibility in the behaviour
	of CElementLabelProvider

	* src/org/eclipse/cdt/internal/ui/StandardCElementLabelProvider.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorErrorTickUpdater.java
	* src/org/eclipse/cdt/ui/CElementLabelProvider.java

2004-01-29 Hoda Amer
	Tuning for the Completion Engine.
	
2004-01-29 Alain Magloire

	PR 50789.  Draft work on this.
	Provide "Show in CView" capability.
	Patch is based on work done by Thomas Fletcher.

	* plugin.properties
	* plugin.xml
	* src/org/eclipse/cdt/internal/ui/editor/CEditor.java
	* src/org/eclipse/cdt/internal/ui/editor/CEditorMessages.properties
	* src/org/eclipse/cdt/internal/ui/editor/ICEditorActionDefinitonsIds.java

	* src/org/eclipse/cdt/ui/actions/ShowInCViewAction.java

2004-01-29 Hoda Amer
	Added handling for CompletionOnFunctionReference()
	
2004-01-28 Alain Magloire

	First draft of the OpenType by Chris Wiebe.

	* icons/full/opentype16/opentype.gif	
	* src/org/eclipse/cdt/internal/ui/opentype/*.java
	* src/org/eclipse/cdt/internal/ui/opentype/dialogs/*.java
 
2004-01-27 John Camelon
	Updated COMPLETION_PARSE clients to use SINGLE_NAME_REFERENCE rather than STATEMENT_START.  

2004-01-27 Hoda Amer
    Added handling for New_Type_Reference completion type
    
2004-01-26 John Camelon
	Updated clients to use new Scanner logging service.

2004-01-26 Hoda Amer
	Content Assist Work: More Tuning of Completion Engine

2004-01-23 Hoda Amer
	Content Assist Work: Tuning of Completion Engine
	
2004-01-21 Hoda Amer
	-Fixed bug#49854 : Enumerator code complete fails when no character provided
	
2004-01-20 Alain Magloire

	Remove the hardcode "objdump" in the EditorUtility.

	* src/org/eclipse/cdt/internal/ui/util/EditorUtility.java
	
2004-01-19 Hoda Amer
	Completed looking up macros with function style.
	
2004-01-16 Hoda Amer
	Added lookupMacros to the CompletionEngine
	
2004-01-16 John Camelon
	IASTNode.LookupException references changed to IASTNode.LookupError.

2004-01-15 Hoda Amer
	Moved Content Assist log to the UI plugin
	
2004-01-15 John Camelon
	Updated references to LookupResult as it was renamed to ILookupResult.  
	Updated references of ParserFactoryException to ParserFactoryError.
	Updated references of ParserNotImplementedException to ParseError. 
	Updated references of CONTEXTUAL_PARSE to COMPLETION_PARSE.  

2004-01-13 Andrew Niefer
	Updated CompletionEngine to catch ASTNotImplementedException from IASTNode.lookup

2004-01-13 John Camelon
	Updated CompletionEngine to handle IASTCompletionKind.CompletionKind.STATEMENT_START

2004-01-08 Hoda Amer
	Added Content assist log cpabilities
	
2004-01-07 Alain Magloire

	Fix for bug 49595
	The error parser order were not save correctly.

	* src/org/eclipse/cdt/ui/dialogs/AbstractErrorParserBlock.java
